##
## autogenerated ChangeLog -- don't edit
##

2005-07-24 Sunday 15:27  Rocky Bernstein <rocky@panix.com>

	* doc/how-to-make-a-release.txt: More specific.

2005-07-24 Sunday 14:11  Rocky Bernstein <rocky@panix.com>

	* doc/how-to-make-a-release.txt: file how-to-make-a-release.txt was
	initially added on branch bash-3-00.

2005-07-24 Sunday 14:11  Rocky Bernstein <rocky@panix.com>

	* NEWS, configure.ac, doc/how-to-make-a-release.txt: Get ready for
	0.2 release

2005-07-23 Saturday 08:58  Rocky Bernstein <rocky@panix.com>

	* NEWS: Add version dates.

2005-07-23 Saturday 08:46  Rocky Bernstein <rocky@panix.com>

	* TODO: Note broken $BASH_COMMAND

2005-07-23 Saturday 08:37  Rocky Bernstein <rocky@panix.com>

	* INSTALL: Go over INSTALL instructions.

2005-07-22 Friday 11:32  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Make distcheck fixes. Perhaps better about
	pkgdatadir.  If we can't link the bash debugger start file, give a
	warning about it and continue.

2005-07-22 Friday 10:18  Rocky Bernstein <rocky@panix.com>

	* configure.ac: typo bashb->bashdb.

2005-07-22 Friday 09:49  Rocky Bernstein <rocky@panix.com>

	* test/run-misc: Another Bourne-shell change.

2005-07-22 Friday 09:47  Rocky Bernstein <rocky@panix.com>

	* INSTALL, test/check_common.in, test/run-brkpt, test/run-misc,
	test/run-parm: test/* More Bourne-shell adaptions for regression
	tests.	INSTALL: typo

2005-07-22 Friday 09:30  Rocky Bernstein <rocky@panix.com>

	* test/check_common.in: Another change for Bourne shell.

2005-07-22 Friday 09:26  Rocky Bernstein <rocky@panix.com>

	* test/: check_common.in, run-action, run-brkpt, run-brkpt1,
	run-bugIFS, run-debug, run-display, run-finish, run-list, run-misc,
	run-multi, run-parm, run-restart, run-search, run-sig, run-skip,
	run-subshell, run-tbreak, run-watch1, run-watch2: Change to make
	Bourne shell's test -z work.

2005-07-22 Friday 08:31  Rocky Bernstein <rocky@panix.com>

	* test/: run-action, run-brkpt, run-bugIFS, run-debug, run-display,
	run-finish, run-list, run-parm, run-restart, run-search,
	run-tbreak, run-watch2: Save builddir to allow "make distcheck" to
	get farther.

2005-07-22 Friday 01:35  Rocky Bernstein <rocky@panix.com>

	* test/: run-brkpt, run-multi, run-sig, run-skip, run-subshell:
	Skip the tests where a regression of BASH_COMMAND is apparent.

2005-07-22 Friday 01:18  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: @setcontentsaftertitlepage doesn't exist any
	more.

2005-07-22 Friday 00:40  Rocky Bernstein <rocky@panix.com>

	* doc/Makefile.am: If tex2html isn't around that's okay.

2005-04-15 Friday 06:09  Rocky Bernstein <rocky@panix.com>

	* INSTALL: Small doc corrections. Some suggested by Rich Paul.

2005-03-03 Thursday 01:56  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Set pkgdatadir based one what was specified in
	configure.  All of this is another horrible automess that I don't
	how to do correctly.
	
	At this point in my life, I'd rather leave it a little bit
	auto-broken than delve yet again into the auto-manure.

2005-03-03 Thursday 01:51  Rocky Bernstein <rocky@panix.com>

	* autogen.sh, configure.ac: autogen.sh: create version.texi and run
	configure.  configure.ac: note problem with pkgdatadir vs datadir.

2004-11-12 Friday 03:01  Rocky Bernstein <rocky@panix.com>

	* NEWS: The first release has to come *sometime*.

2004-11-12 Friday 02:49  Rocky Bernstein <rocky@panix.com>

	* configure.ac: AC_PROG was too far up. I hate autoconf.

2004-11-12 Friday 02:21  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Okay - time for the first release.

2004-11-10 Wednesday 13:32  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Remove old bashdb-main.inc file/link only it is
	there.

2004-11-10 Wednesday 03:22  Rocky Bernstein <rocky@panix.com>

	* cvs2cl_usermap: file cvs2cl_usermap was initially added on branch
	bash-3-00.

2004-11-10 Wednesday 03:22  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, cvs2cl_header, cvs2cl_usermap: Get
	automatic generation of ChangeLog working.

2004-11-10 Wednesday 03:22  Rocky Bernstein <rocky@panix.com>

	* cvs2cl_header: file cvs2cl_header was initially added on branch
	bash-3-00.

2004-11-10 Wednesday 03:12  Rocky Bernstein <rocky@panix.com>

	* INSTALL, README: Some small changes.

2004-11-09 Tuesday 03:31  Rocky Bernstein <rocky@panix.com>

	* patch/bash-3.00.patch: file bash-3.00.patch was initially added
	on branch bash-3-00.

2004-11-09 Tuesday 03:31  Rocky Bernstein <rocky@panix.com>

	* INSTALL, Makefile.am, README, configure.ac,
	patch/bash-3.00.patch: patch/bash-3.00.patch, configure.ac:   add
	patch to bash 3.00 for debugger configure.ac:	add ln -s from
	bashdb-main.inc to dbg-main.inc INSTALL/README:   update for bash
	3.00 changes

2004-11-09 Tuesday 01:18  Rocky Bernstein <rocky@panix.com>

	* test/watch1.tests: Don't know how this bug got here. Make the
	same as rebash 2.05b

2004-11-08 Monday 03:44  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, dbg-sig.inc, test/finish.right, test/sig.right:
	Redo the way debugger "finish" is implemented.

2004-11-05 Friday 23:10  Rocky Bernstein <rocky@panix.com>

	* test/: brkpt2.right, debug.right, parm.right, sig.right: bash 3.0
	debugger main() doesn't show arguments. Not sure why, but until
	this is fixed change the expected output.

2004-11-05 Friday 01:55  Rocky Bernstein <rocky@panix.com>

	* dbg-sig.inc: Bash 3 makes you run "shopt -s extdebug" to get line
	number and file names of functions. (declare -f fn). It may change
	the behavior in other things too.

2004-08-21 Saturday 14:15  Rocky Bernstein <rocky@panix.com>

	* test/.cvsignore: .check files are the current output files we
	compare against the  corresponding ".right" files. On each new run
	start the slate clean.

2004-08-21 Saturday 14:11  Rocky Bernstein <rocky@panix.com>

	* README.CVS: file README.CVS was initially added on branch
	bash-3-00.

2004-08-21 Saturday 14:11  Rocky Bernstein <rocky@panix.com>

	* README.CVS: Instructions for how to set up from CVS initially.

2004-08-21 Saturday 13:59  Rocky Bernstein <rocky@panix.com>

	* test/: action.tests, brkpt1.tests, brkpt2.tests, brkpt3.tests,
	bugIFS.tests, debug.sh, debug.tests, display.tests, finish.tests,
	list.tests, misc.tests, multi1.tests, multi2.tests, multi3.tests,
	multi4.tests, parm.tests, restart.tests, run-action, run-all,
	run-brkpt, run-brkpt1, run-bugIFS, run-debug, run-display,
	run-finish, run-list, run-misc, run-multi, run-parm, run-restart,
	run-search, run-sig, run-skip, run-subshell, run-tbreak,
	run-watch1, run-watch2, search.tests, sig.tests, skip.tests,
	subshell1.tests, subshell2.tests, subshell3.tests, subshell4.tests,
	tbreak.tests, watch1.tests, watch2.tests: Changes to make bash
	program outside of source tree to work better.	In the process, I
	guess things are a little simpler.

2004-08-21 Saturday 13:29  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, bashdb.in, doc/.cvsignore, test/check_common.in: The
	location of "bash" should be the one found by configure. So..
	
	bashdb: @INTERPRETER@ -> @BASH_PROG@ check_common.in uses
	@BASH_PROG@ Makefile.am: let configure figure where bash is.

2004-08-21 Saturday 13:26  Rocky Bernstein <rocky@panix.com>

	* autogen.sh: file autogen.sh was initially added on branch
	bash-3-00.

2004-08-21 Saturday 13:26  Rocky Bernstein <rocky@panix.com>

	* autogen.sh: script to set up CVS the first time. Was originally
	done via in remake's autogen.sh. Extracted and adapted from that.

2004-08-21 Saturday 13:23  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Fix some macros that don't expand either because
	we are using newer tools or because should are more independent of
	the bash program.

2004-08-20 Friday 23:20  Rocky Bernstein <rocky@panix.com>

	* bashdb.in, dbg-cmds.inc: Changes for bash 3.0:   fntrace ->
	functrace

2004-08-20 Friday 22:57  Rocky Bernstein <rocky@panix.com>

	* configure.ac, dbg-fns.inc, dbg-help.inc, dbg-io.inc,
	dbg-list.inc, dbg-pre.inc.in, dbg-set-d-vars.inc, dbg-sig-ret.inc,
	dbg-stack.inc: Initial commit for debugger via bash 3.0.

2004-06-27 Sunday 09:56  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: A number of small mostly typographical
	corrections.

2004-06-26 Saturday 12:02  Rocky Bernstein <rocky@panix.com>

	* test/misc.right: Pedeantic punctuation.

2004-06-26 Saturday 11:45  Rocky Bernstein <rocky@panix.com>

	* dbg-help.inc, doc/bashdb.texi: Small punctuation.

2004-06-26 Saturday 10:13  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Spelling error.

2004-05-17 Monday 17:52  Masatake YAMATO <jet@gyve.org>

	* dbg-io.inc: debugger/dbg-io.inc (_Dbg_progess_show): Show the
	progress percentage.  (_Dbg_readin): Remove unnecessary space in
	$progress_prefix.

2004-05-17 Monday 06:46  Masatake YAMATO <jet@gyve.org>

	* NEWS, dbg-io.inc: debugger/dbg-io.inc (_Dbg_progess_show,
	_Dbg_progess_show_internal, _Dbg_progess_done): New functions. 
	(_Dbg_readin): Added progress bar related code.

2004-05-16 Sunday 07:13  Rocky Bernstein <rocky@panix.com>

	* configure.ac: In 0.44cvs land now.

2004-05-15 Saturday 21:53  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Getting ready for 0.43 release.

2004-05-15 Saturday 09:04  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, test/check_common.in, test/run-debug,
	test/run-list, test/run-restart, test/run-search, test/run-sig,
	test/run-tbreak: Fix bug in restart of bashdb: don't assume bash
	has already been installed.  Need to set BASH env variable in all
	regression tests.  remove duplicate TOP_BUILDDIR which may cause
	inconsistencies.

2004-05-14 Friday 21:26  Rocky Bernstein <rocky@panix.com>

	* bashdb.in, dbg-cmds.inc, dbg-init.inc, dbg-main.inc.in,
	dbg-sig.inc, test/restart.cmd, test/restart.right,
	test/restart2.cmd, test/run-debug: A better restart regression
	test: now tests saving/restoring breakpoints across a restart.
	
	Lead to bug in using the the debugger library directory when it was
	a relative path. So we now fill out libdir path.

2004-05-14 Friday 11:29  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, dbg-file.inc, test/restart.right: Bug in listing
	file line numbers after a cd.

2004-05-14 Friday 05:16  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Add run-restart test.

2004-05-14 Friday 04:14  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, NEWS, test/Makefile.am: Add "restart" regression
	test. Get ready for a new release.  Automatically generate
	ChangeLog.

2004-05-12 Wednesday 01:56  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, dbg-init.inc, test/restart.cmd, test/restart.right,
	test/restart.tests, test/restart2.cmd, test/restartbug.sh,
	test/run-restart: Fix bug in restart command when there the script
	was relative and a cd was issued inside the program. Basically we
	need to save the directory we started so we can cd to that before
	restarting again.

2004-03-04 Thursday 04:19  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Remove installing and formatting doc sections. 
	They were empty confused folks.

2004-02-15 Sunday 00:29  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Minor changes.

2003-11-12 Wednesday 11:48  Rocky Bernstein <rocky@panix.com>

	* dbg-io.inc: Test for null filename in reading in source.

2003-11-12 Wednesday 11:46  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Remove creation of version.texi. We use
	version-bashdb.texi.  I wonder if more of this hackery is in fact
	correct.

2003-11-12 Wednesday 11:38  Rocky Bernstein <rocky@panix.com>

	* doc/version.texi.in: automake creates this.

2003-10-07 Tuesday 11:28  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Don't install gud unless we have emacs version 21.0
	to 21.3.

2003-10-01 Wednesday 01:54  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, test/misc-output.right, test/run-action,
	test/run-brkpt, test/run-brkpt1, test/run-bugIFS, test/run-debug,
	test/run-display, test/run-finish, test/run-list, test/run-multi,
	test/run-parm, test/run-search, test/run-skip, test/run-subshell,
	test/run-tbreak, test/run-watch1, test/run-watch2: dbg-cmds.inc,
	test/misc-output.right: respect basename on file command output so
	we get OS-independent results
	
	run-*: temp file is in build directory rather than /tmp. Again,
	this is more portable.

2003-09-24 Wednesday 03:44  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: 
	More spurious regression-test warnings removed.

2003-09-23 Tuesday 03:58  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: More.

2003-09-23 Tuesday 03:49  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: More small corrections.

2003-09-23 Tuesday 02:32  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Indexing additions.

2003-09-23 Tuesday 02:26  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Add (more) examples under print, info variables
	and examine. Note that examine can be given a list of variables.

2003-09-21 Sunday 15:33  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, dbg-file.inc, dbg-help.inc, dbg-io.inc,
	doc/bashdb.texi, test/check_common.in, test/misc-output.right,
	test/misc.cmd, test/misc.right, test/run-misc, test/sig.right: Add
	gdb's 'file' command

2003-09-21 Sunday 05:31  Rocky Bernstein <rocky@panix.com>

	* NEWS, configure.ac: Looks like we are version 0.42, not 0.43.

2003-09-19 Friday 21:56  Rocky Bernstein <rocky@panix.com>

	* NEWS: Another last-minute bug fixed.

2003-09-19 Friday 21:43  Rocky Bernstein <rocky@panix.com>

	* dbg-fns.inc: Was calling the wrong routine to expand source
	filename.

2003-09-16 Tuesday 02:18  Rocky Bernstein <rocky@panix.com>

	* test/: subshell.sh, subshell1.right, subshell2.right,
	subshell3.right, multi.sh, multi1.right, multi2.right,
	multi3.right, multi4.right, brkpt3.right: Need to make sure we use
	builtin cd - user could have his own function or alias

2003-09-15 Monday 19:50  Rocky Bernstein <rocky@panix.com>

	* doc/.cvsignore: typo

2003-09-15 Monday 19:49  Rocky Bernstein <rocky@panix.com>

	* NEWS: Small things

2003-09-13 Saturday 23:30  Rocky Bernstein <rocky@panix.com>

	* test/: misc-output.right, misc.cmd: On OSX Issuing V dq* followed
	by info variables dq* causes the debugger not to return. Until
	further investagation, we'll remove this test.

2003-09-13 Saturday 23:25  Rocky Bernstein <rocky@panix.com>

	* doc/: .cvsignore, bashdb.texi: Use version-bashdb.texi instead of
	version.tex.  Smells however like we should remove all of the
	configure.ac stuff.

2003-09-13 Saturday 01:41  Rocky Bernstein <rocky@panix.com>

	* NEWS, test/version, test/version.mini: Seems the version stuff
	(from tests) to show what's getting tested was missing. Copy down. 
	NEWS: should be getting ready for another release.

2003-09-12 Friday 04:27  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc: Another fix for cygwin (and perhaps others).

2003-09-12 Friday 03:50  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: add a couple more $(EXEEXT)'s.

2003-09-12 Friday 03:11  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: It's EXEEXT, not EXTEXT. And there were a couple of
	these missing too.

2003-09-12 Friday 03:10  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Run AC_PROC_CC to get EXEEXT set.

2003-09-12 Friday 01:29  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Someone forgot a /.

2003-09-05 Friday 10:34  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Use @ifclear instead of @c for conditional code

2003-09-02 Tuesday 00:24  Rocky Bernstein <rocky@panix.com>

	* doc/: bashdb.texi, Makefile.am: Changes suggested by Matthias
	Klose

2003-08-31 Sunday 21:33  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: No comment.

2003-08-29 Friday 15:29  snikkt

	* Makefile.am, configure.ac, doc/Makefile.am: * ac_srcdir now
	defaults to . if empty * better separation between debugger and
	(re)bash * tex _almost_ not needed .) * make ; make dist now
	produces expected result * (ac_)srcdir missing in a few places.

2003-08-28 Thursday 02:58  Rocky Bernstein <rocky@panix.com>

	* configure.ac: prepare for another release.

2003-08-28 Thursday 02:57  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's up, doc.

2003-08-28 Thursday 02:47  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, acinclude.m4, configure.ac: Make debugger more
	independent of rebash:	 - Move bashdb-pre.inc creation into
	debugger configure   - acinclude.m4 moved into debugger and used
	from rebash via     bootstrap.sh's aclocal -I debugger

2003-08-28 Thursday 02:44  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: @ifset name can't have embedded _'s.

2003-08-28 Thursday 01:11  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Remove invariant sections to make Matthias Klose
	and presumably Debian happy.

2003-08-26 Tuesday 03:14  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, dbg-main.inc: dbg-main.inc is now created from
	dbg-main.inc.in

2003-08-26 Tuesday 03:13  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add acinclude.m4 into distribution

2003-08-26 Tuesday 03:11  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Make created tarball of the form
	bash-xxx-bashdb-yyy.tar.gz rather than bash-xxx.tar.gz which could
	get confused with the upper bash tarball.

2003-08-26 Tuesday 03:09  Rocky Bernstein <rocky@panix.com>

	* emacs/.cvsignore: bashdb.elc is derived.

2003-08-25 Monday 16:34  snikkt

	* Makefile.am, bashdb.in, configure.ac, dbg-main.inc.in,
	test/brkpt2.right, test/debug.right, test/finish.right,
	test/parm.right, test/sig.right, test/tbreak.right: Mikael fixed: *
	removed deprecated Autoconf constructs * bootstrap.sh execution
	order and include location * install into pkgdatadir instead of
	libdir * use AC_SUBST to configure all paths instead of hardcoding
	And added: * configurable package name using env. var.
	ALT_PACKAGE_NAME * configurable executable names * dbg-main.inc is
	genereated from dbg-main.inc.in now * local m4 macros now reside in
	acinclude.m4

2003-08-16 Saturday 16:31  Rocky Bernstein <rocky@panix.com>

	* NEWS: - Note interaction with bash 2.05/readline as requested by
	Masatake YAMATO - Some of the 0.42 news - Miscellaneous grammatical
	and spelling correctiosn

2003-08-12 Tuesday 14:03  Rocky Bernstein <rocky@panix.com>

	* doc/Makefile.am: Install man-page as bashdb.1 rather than
	bashdb-man.1.

2003-08-12 Tuesday 14:02  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Update version number for perhaps another release
	(after Mikael's changes).

2003-08-12 Tuesday 13:56  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb-man.pod: Add BUGS section. "options" is now a head
	section rather inside the description.

2003-08-12 Tuesday 12:49  Rocky Bernstein <rocky@panix.com>

	* doc/Makefile.am: create manual pages from pod2xxx.

2003-08-11 Monday 13:46  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb-man.pod: First cut at a debugger manual page.

2003-08-11 Monday 09:59  Rocky Bernstein <rocky@panix.com>

	* emacs/Makefile.am: Can't get emacs-lisp install in parent
	directory. Create a Makefile.am in this directory.

2003-08-11 Monday 09:57  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac: Can't seem with automake to install
	elisp files from parent directory, so create a Makefile in the
	emacs directory.

2003-08-11 Monday 02:45  Rocky Bernstein <rocky@panix.com>

	* THANKS: Acknowledge Matthias Klose's assistance and wisdom.

2003-08-10 Sunday 22:51  Rocky Bernstein <rocky@panix.com>

	* doc/bashdb.texi: Small changes to call stack output and what we
	list as the names for x (examine) and V (info variables).

2003-08-08 Friday 02:36  Rocky Bernstein <rocky@panix.com>

	* NEWS, test/sig.right: Bug fix: line number in multi-line
	assignments had been the line number where the assignment ends, not
	the beginning. Thus assignments with backticked subshells gave the
	wrong line number.

2003-08-06 Wednesday 14:21  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, test/misc-output.right: Changes from Mikael
	Andersson for V / info variables improvements.

2003-08-06 Wednesday 13:19  Rocky Bernstein <rocky@panix.com>

	* test/.cvsignore: Derived from check_common.in

2003-08-06 Wednesday 11:49  Rocky Bernstein <rocky@panix.com>

	* test/check_common.in: Common check_output routine and other
	common code fragments.

2003-08-02 Saturday 23:15  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, test/misc.cmd, test/misc.right, test/sig.right:
	dbg-cmds.inc: patch from Mikael Andersson to address embedded \n's
	for blanks.  dbg-help.inc: "V" help typo test/misc.cmd: add "info
	variables" test test/*.right: corresponding changes in regression
	test results

2003-08-02 Saturday 20:20  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc, dbg-help.inc, doc/bashdb.texi: Doc changes.

2003-08-02 Saturday 20:19  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Time for another release.

2003-08-02 Saturday 20:12  Rocky Bernstein <rocky@panix.com>

	* test/: misc.right, sig.right: Help changed. Not sure why sig
	keeps changing though.

2003-08-02 Saturday 19:54  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, dbg-file.inc, dbg-help.inc, dbg-io.inc,
	dbg-list.inc: Add _Dbg_ in front of more debugger variables. In
	particular: _read_ -> _Dbg_read_ _maxline_  -> _Dbg_maxline_
	_source_ -> _Dbg_source_

2003-08-02 Saturday 19:53  Rocky Bernstein <rocky@panix.com>

	* test/: misc-output.right, misc.right, sig.right: Add test of V
	command. sig: line number again changed.

2003-08-02 Saturday 19:52  Rocky Bernstein <rocky@panix.com>

	* test/misc.cmd: Add test of V command.

2003-08-02 Saturday 19:51  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc: Routine to list variables and values by pattern
	possibly inverted.  Code courtesy of Mikael Andersson
	<snikkt@telia.com>.

2003-08-02 Saturday 19:46  Rocky Bernstein <rocky@panix.com>

	* THANKS: This is long overdue, even if it is meager.

2003-08-01 Friday 10:45  Rocky Bernstein <rocky@panix.com>

	* dbg-help.inc: Add "help show <command>" and "help info <command>"
	.

2003-08-01 Friday 03:48  Rocky Bernstein <rocky@panix.com>

	* dbg-help.inc: Missing a line for "help V"

2003-06-19 Thursday 14:49  Rocky Bernstein <rocky@panix.com>

	* TODO: Simple typo.

2003-06-09 Monday 03:19  Rocky Bernstein <rocky@panix.com>

	* configure.ac: It's = not == in tests

2003-06-08 Sunday 14:39  Rocky Bernstein <rocky@panix.com>

	* configure.ac, test/Makefile.am, test/action.tests,
	test/bugIFS.tests, test/display.tests, test/finish.tests,
	test/run-action, test/run-brkpt, test/run-brkpt1, test/run-bugIFS,
	test/run-debug, test/run-display, test/run-finish, test/run-list,
	test/run-misc, test/run-multi, test/run-parm, test/run-search,
	test/run-sig, test/run-skip, test/run-subshell, test/run-tbreak,
	test/run-watch1, test/run-watch2, test/skip.tests,
	test/subshell1.tests, test/subshell2.tests, test/subshell3.tests:
	Debugger regression tests now will use diff --u if possible.  Will
	revert even to cmp if diff is not around.  check_common: common
	routines and setup to simplify/unify regression testing

2003-06-06 Friday 05:01  Rocky Bernstein <rocky@panix.com>

	* NEWS, test/run-multi: Bash patches 005-007.  run-multi: set
	THIS_SH so it runs under cygwin (and others).

2003-06-03 Tuesday 18:28  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, multi1.right, multi1.tests, multi2.right,
	multi2.tests, multi3.right, multi3.tests, multi4.tests, run-multi:
	Add multi tests

2003-06-03 Tuesday 18:27  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add EXTEXT for M$ OS's.

2003-06-03 Tuesday 17:08  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, multi.sh, multi1.cmd, multi1.tests,
	multi2.cmd, multi2.tests, multi3.cmd, multi3.tests, multi4.right,
	run-multi: Add multi tests

2003-06-02 Monday 09:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Create bashdb as executable.

2003-06-01 Sunday 15:07  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Make sure bash is copied before running "make check"

2003-06-01 Sunday 14:35  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, doc/.cvsignore, doc/fdl.texi: CVS maintainance.

2003-06-01 Sunday 14:32  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac: configure.ac: set unique distribution
	name Makefile.am: include doc directory.

2003-06-01 Sunday 14:31  Rocky Bernstein <rocky@panix.com>

	* doc/: Makefile.am, bashdb.texi, gpl.texi, version.texi.in: Except
	Makefile.am, moved from bash doc directory.  Makefile.am: pretty
	standard stuff.

2003-06-01 Sunday 13:23  Rocky Bernstein <rocky@panix.com>

	* test/: brkpt1.tests, brkpt2.right, brkpt2.tests, brkpt3.tests,
	debug.tests, list.tests, misc.tests, parm.tests, run-brkpt,
	run-debug, run-list, run-misc, run-parm, run-search, run-sig,
	run-tbreak, run-watch2, search.tests, sig.tests, tbreak.tests,
	watch2.tests: make check and make distcheck now work.

2003-06-01 Sunday 02:43  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Seems to be needed for make dist to work.

2003-06-01 Sunday 02:23  Rocky Bernstein <rocky@panix.com>

	* configure.ac: configure.in -> configure.ac

2003-06-01 Sunday 02:15  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, run-action, run-brkpt, run-brkpt1,
	run-bugIFS, run-debug, run-display, run-finish, run-list, run-misc,
	run-multi, run-parm, run-search, run-sig, run-skip, run-subshell,
	run-tbreak, run-watch1, run-watch2, skip.tests, subshell1.tests,
	tbreak.tests: Closer to getting "make distcheck" working. "make
	check" is currently broken for a couple of tests.

2003-06-01 Sunday 01:35  Rocky Bernstein <rocky@panix.com>

	* test/: brkpt3.tests, debug.tests, display.tests, finish.tests,
	list.tests, subshell2.tests, subshell3.tests, subshell4.tests,
	tbreak.tests, watch1.tests, watch2.tests: changes  to making "make
	dist" work

2003-06-01 Sunday 01:18  Rocky Bernstein <rocky@panix.com>

	* CHANGES, Makefile.am, bashdb, bashdb.in, configure.in,
	dbg-file.inc, test/.cvsignore, test/Makefile.am, test/action.cmd,
	test/action.right, test/action.tests, test/brkpt1.cmd,
	test/brkpt1.right, test/brkpt1.tests, test/brkpt2.cmd,
	test/brkpt2.right, test/brkpt2.tests, test/brkpt3.cmd,
	test/brkpt3.right, test/brkpt3.tests, test/bugIFS, test/bugIFS.cmd,
	test/bugIFS.right, test/bugIFS.sh, test/bugIFS.tests,
	test/dbg-test1.sh, test/dbg-test1.sub, test/dbg-test2.sh,
	test/debug.cmd, test/debug.right, test/debug.sh, test/debug.tests,
	test/debug2.cmd, test/display.cmd, test/display.right,
	test/display.tests, test/finish.cmd, test/finish.right,
	test/finish.tests, test/list.cmd, test/list.right, test/list.tests,
	test/misc-output.right, test/misc.cmd, test/misc.right,
	test/misc.tests, test/multi4.cmd, test/multi4.right,
	test/multi4.tests, test/parm.cmd, test/parm.right, test/parm.sh,
	test/parm.tests, test/prof1.cmd, test/prof2.cmd, test/run-action,
	test/run-all, test/run-brkpt, test/run-brkpt1, test/run-bugIFS,
	test/run-debug, test/run-display, test/run-finish, test/run-list,
	test/run-misc, test/run-multi, test/run-parm, test/run-search,
	test/run-sig, test/run-skip, test/run-subshell, test/run-tbreak,
	test/run-watch1, test/run-watch2, test/search.cmd,
	test/search.right, test/search.tests, test/sig.cmd, test/sig.right,
	test/sig.sh, test/sig.tests, test/skip.cmd, test/skip.right,
	test/skip.sh, test/skip.tests, test/subshell.sh,
	test/subshell1.cmd, test/subshell1.right, test/subshell1.tests,
	test/subshell2.cmd, test/subshell2.right, test/subshell2.tests,
	test/subshell3.cmd, test/subshell3.right, test/subshell3.tests,
	test/subshell4.cmd, test/subshell4.right, test/subshell4.tests,
	test/tbreak.cmd, test/tbreak.right, test/tbreak.tests,
	test/watch1.cmd, test/watch1.right, test/watch1.tests,
	test/watch2.cmd, test/watch2.right, test/watch2.tests,
	tests/.cvsignore, tests/Makefile.am, tests/action.cmd,
	tests/action.right, tests/action.tests, tests/brkpt1.cmd,
	tests/brkpt1.right, tests/brkpt1.tests, tests/brkpt2.cmd,
	tests/brkpt2.right, tests/brkpt2.tests, tests/brkpt3.cmd,
	tests/brkpt3.right, tests/brkpt3.tests, tests/bugIFS,
	tests/bugIFS.cmd, tests/bugIFS.right, tests/bugIFS.sh,
	tests/bugIFS.tests, tests/dbg-test1.sh, tests/dbg-test1.sub,
	tests/dbg-test2.sh, tests/debug.cmd, tests/debug.right,
	tests/debug.sh, tests/debug.tests, tests/debug2.cmd,
	tests/display.cmd, tests/display.right, tests/display.tests,
	tests/finish.cmd, tests/finish.right, tests/finish.tests,
	tests/list.cmd, tests/list.right, tests/list.tests,
	tests/misc-output.right, tests/misc.cmd, tests/misc.right,
	tests/misc.tests, tests/multi4.cmd, tests/multi4.right,
	tests/multi4.tests, tests/parm.cmd, tests/parm.right,
	tests/parm.sh, tests/parm.tests, tests/prof1.cmd, tests/prof2.cmd,
	tests/run-action, tests/run-all, tests/run-brkpt, tests/run-brkpt1,
	tests/run-bugIFS, tests/run-debug, tests/run-display,
	tests/run-finish, tests/run-list, tests/run-misc, tests/run-multi,
	tests/run-parm, tests/run-search, tests/run-sig, tests/run-skip,
	tests/run-subshell, tests/run-tbreak, tests/run-watch1,
	tests/run-watch2, tests/search.cmd, tests/search.right,
	tests/search.tests, tests/sig.cmd, tests/sig.right, tests/sig.sh,
	tests/sig.tests, tests/skip.cmd, tests/skip.right, tests/skip.sh,
	tests/skip.tests, tests/subshell.sh, tests/subshell1.cmd,
	tests/subshell1.right, tests/subshell1.tests, tests/subshell2.cmd,
	tests/subshell2.right, tests/subshell2.tests, tests/subshell3.cmd,
	tests/subshell3.right, tests/subshell3.tests, tests/subshell4.cmd,
	tests/subshell4.right, tests/subshell4.tests, tests/tbreak.cmd,
	tests/tbreak.right, tests/tbreak.tests, tests/watch1.cmd,
	tests/watch1.right, tests/watch1.tests, tests/watch2.cmd,
	tests/watch2.right, tests/watch2.tests: configure->configure.ac
	tests->test bashdb no longer has hard-coded #! some changes to make
	"make distcheck" work... More changes later..

2003-05-20 Tuesday 18:02  Rocky Bernstein <rocky@panix.com>

	* dbg-init.inc: More OS-independent (output independent) test if a
	terminal is attached.

2003-04-30 Wednesday 00:22  Rocky Bernstein <rocky@panix.com>

	* bashdb, dbg-cmds.inc, dbg-fns.inc, dbg-init.inc: Bug: Was using
	source filename rather than canonicalized (expanded) filename.

2003-04-30 Wednesday 00:21  Rocky Bernstein <rocky@panix.com>

	* tests/: debug.right, list.right, sig.right: Basename made to work
	like basename.

2003-04-08 Tuesday 03:29  Rocky Bernstein <rocky@panix.com>

	* ddd/ddd-3.3.1-bashdb.diff: We now have this all in CVS as well as
	a file release.

2003-04-08 Tuesday 03:27  Rocky Bernstein <rocky@panix.com>

	* tests/sig.right: Line number always changing on me.

2003-04-08 Tuesday 03:26  Rocky Bernstein <rocky@panix.com>

	* tests/: misc.cmd, misc.right: Give invalid command to get
	"Invalid command" back.

2003-04-08 Tuesday 03:24  Rocky Bernstein <rocky@panix.com>

	* dbg-cmds.inc: Use gdb undefined command message.

2003-03-31 Monday 15:09  Rocky Bernstein <rocky@panix.com>

	* NEWS, dbg-brk.inc, tests/action.right, tests/brkpt1.right,
	tests/brkpt2.right, tests/display.right, tests/tbreak.right,
	tests/watch1.right: Numbers in breakpoint/watchpoint/action numbers
	are printed in a "%-3d" rather than (I think the nicer) %3d" to
	match gdb's output. This helps ddd parse breakpoints.

2003-03-31 Monday 03:04  Rocky Bernstein <rocky@panix.com>

	* NEWS, dbg-brk.inc, tests/action.right, tests/brkpt1.cmd,
	tests/brkpt1.right, tests/brkpt2.cmd, tests/brkpt2.right,
	tests/brkpt3.cmd, tests/brkpt3.right, tests/bugIFS.right,
	tests/debug.right, tests/display.right, tests/finish.right,
	tests/parm.right, tests/tbreak.right, tests/watch2.right:
	Breakpoints are now are origin 1 to match gdb. It also helps ddd.

2003-03-27 Thursday 05:34  Rocky Bernstein <rocky@panix.com>

	* dbg-pre.inc.in: Ooops - changed dbg-pre.inc but should have
	changed this one instead.

2003-03-26 Wednesday 14:09  Rocky Bernstein <rocky@panix.com>

	* tests/: list.cmd, list.right: Add test of filename
	canonicalization

2003-03-26 Wednesday 14:05  Rocky Bernstein <rocky@panix.com>

	* dbg-file.inc, dbg-io.inc: Add routine to resolve based on dir and
	then expand a filename.  Hopefully will be more permissive in
	specified and work more like gdb.

2003-03-26 Wednesday 14:01  Rocky Bernstein <rocky@panix.com>

	* dbg-brk.inc: Expand filename only the breakpoint exists.

2003-03-26 Wednesday 04:30  Rocky Bernstein <rocky@panix.com>

	* dbg-list.inc: When set annotate=1 expand full filenames when
	listing source lines.

2003-03-26 Wednesday 04:29  Rocky Bernstein <rocky@panix.com>

	* dbg-file.inc: Bug in testing absolute file name.

2003-03-25 Tuesday 23:46  Rocky Bernstein <rocky@panix.com>

	* dbg-brk.inc, dbg-file.inc, dbg-list.inc, tests/brkpt3.cmd,
	tests/brkpt3.right, tests/list.right: Canonicalize filenames in
	list and breakpoint commands and update regression tests to make
	sure we don't slip back.

2003-03-22 Saturday 00:16  Rocky Bernstein <rocky@panix.com>

	* dbg-file.inc, dbg-set.inc: Small stuff.

2003-03-21 Friday 23:54  Rocky Bernstein <rocky@panix.com>

	* bashdb, dbg-brk.inc, dbg-file.inc, dbg-fns.inc, dbg-help.inc,
	dbg-init.inc, dbg-set.inc, tests/brkpt2.right, tests/debug.right,
	tests/finish.right, tests/parm.right, tests/sig.right,
	tests/tbreak.right: Add "show dir" and directory search in filename
	lookup (such as for breakpoints or line listing).

2003-03-21 Friday 17:59  Rocky Bernstein <rocky@panix.com>

	* dbg-sig.inc, tests/sig.right: Signal received message is now
	gdb's. This simplifies ddd handling.

2003-03-21 Friday 17:56  Rocky Bernstein <rocky@panix.com>

	* TODO: Current sitiation.

2003-03-02 Sunday 18:52  Rocky Bernstein <rocky@panix.com>

	* ddd/ddd-3.3.1-bashdb.diff: Spelled g++ option incorrectly!

2003-02-27 Thursday 10:14  Rocky Bernstein <rocky@panix.com>

	* dbg-brk.inc, dbg-file.inc, dbg-fns.inc, dbg-help.inc, dbg-io.inc:
	_filenames -> _Dbg_filenames. Array now has expanded name Add
	routine to print filename in form appropriate to annotation and
	basename only

2003-02-27 Thursday 07:33  Rocky Bernstein <rocky@panix.com>

	* NEWS: _bashdb_ -> _Dbg_

2003-02-27 Thursday 07:27  Rocky Bernstein <rocky@panix.com>

	* bashdb, dbg-brk.inc, dbg-cmds.inc, dbg-file.inc, dbg-fns.inc,
	dbg-help.inc, dbg-hist.inc, dbg-init.inc, dbg-io.inc, dbg-list.inc,
	dbg-main.inc, dbg-pre.inc.in, dbg-set-d-vars.inc, dbg-set.inc,
	dbg-sig-ret.inc, dbg-sig.inc, dbg-stack.inc, tests/bugIFS.cmd,
	tests/misc.cmd, tests/misc.right, tests/sig.right: All _bashdb_
	variables renamed _Dbg_. Might help for debuggers in other POSIX
	shells.

2003-02-27 Thursday 04:34  Rocky Bernstein <rocky@panix.com>

	* NEWS, dbg-help.inc, dbg-init.inc, dbg-set.inc, tests/misc.cmd,
	tests/misc.right: Add "set annotate." More better set/show
	regression tests.

2003-02-25 Tuesday 16:22  Rocky Bernstein <rocky@panix.com>

	* dbg-brk.inc, tests/brkpt2.right, tests/watch1.right: A little
	closer to gdb. Mesage reads   breakpoint already hit 1 time or	
	breakpoint already hit n times

2003-02-25 Tuesday 15:55  Rocky Bernstein <rocky@panix.com>

	* dbg-brk.inc, tests/action.right, tests/brkpt1.right,
	tests/brkpt2.right, tests/brkpt3.right, tests/bugIFS.right,
	tests/debug.right, tests/display.right, tests/finish.right,
	tests/parm.right, tests/tbreak.right, tests/watch1.right,
	tests/watch2.right: Make breakpoints look more like gdb. It helps
	ddd parsing.

2003-02-23 Sunday 20:40  Rocky Bernstein <rocky@panix.com>

	* dbg-file.inc: Add tilde to list of translation characters.

2003-02-19 Wednesday 23:45  Rocky Bernstein <rocky@panix.com>

	* dbg-brk.inc, dbg-cmds.inc, dbg-io.inc, dbg-sig.inc: Some declare
	-a's turned into typeset -a on the hope (from David Korn) that this
	will be legal ksh.

2003-02-18 Tuesday 00:23  Rocky Bernstein <rocky@panix.com>

	* .cvsignore: bashdb- -> dbg-

2003-02-18 Tuesday 00:23  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, bashdb-sig-ret.inc, dbg-sig-ret.inc: Miscellaneous
	small changes for new version and bashdb- -> dbg- changes.

2003-02-18 Tuesday 00:02  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, TODO, bashdb, bashdb-brk.inc, bashdb-cmds.inc,
	bashdb-file.inc, bashdb-fns.inc, bashdb-help.inc, bashdb-hist.inc,
	bashdb-init.inc, bashdb-io.inc, bashdb-list.inc, bashdb-main.inc,
	bashdb-set-d-vars.inc, bashdb-set.inc, bashdb-sig.inc,
	bashdb-stack.inc, dbg-brk.inc, dbg-cmds.inc, dbg-file.inc,
	dbg-fns.inc, dbg-help.inc, dbg-hist.inc, dbg-init.inc, dbg-io.inc,
	dbg-list.inc, dbg-main.inc, dbg-pre.inc, dbg-set-d-vars.inc,
	dbg-set.inc, dbg-sig.inc, dbg-stack.inc, tests/sig.right,
	bashdb-pre.inc.in, dbg-pre.inc, dbg-pre.inc.in: bashdb -> dbg to
	facilitate porting to other POSIX shells.

2003-02-17 Monday 22:02  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Remove SUBEXIT trap.

2003-02-17 Monday 18:15  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, tests/brkpt3.cmd, tests/brkpt3.right,
	tests/tbreak.cmd, tests/tbreak.right: I think I've gotten over the
	hurdle of passing information back.  Removing breakpoints in a
	subshell and having that persist now works.

2003-02-17 Monday 12:34  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc: Perhaps some cleanup.

2003-02-17 Monday 11:51  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-file.inc, bashdb-sig.inc,
	tests/brkpt3.cmd, tests/brkpt3.right, tests/sig.right,
	tests/subshell3.right: State saving bugs: save state of more
	breakpoint/action variables, step/next variables.

2003-02-17 Monday 01:08  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-brk.inc, bashdb-file.inc, bashdb-sig.inc: Probably
	just beating around problems. Perhaps closer. Perhaps not.

2003-02-17 Monday 01:05  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, brkpt3.cmd, brkpt3.right, brkpt3.tests,
	run-brkpt, run-brkpt2, run-subshell, sig.right, subshell1.cmd,
	subshell1.right, subshell2.cmd, subshell2.right, subshell3.cmd,
	subshell3.right, subshell4.cmd, subshell4.right, subshell4.tests:
	run-brkpt and run-subshell does all 1.. tests.	Add another
	subshell and brkpt test.

2003-02-16 Sunday 17:18  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-file.inc, bashdb-fns.inc,
	bashdb-sig.inc: More state recorded in subshell journal:  
	Enable/disable	 fntrace options
	
	having breakpoints persist inside a subshell now works.  (Removing
	has problems though, as does saving/restoring the step counter)

2003-02-16 Sunday 17:14  Rocky Bernstein <rocky@panix.com>

	* tests/subshell2.right: multi->subshell

2003-02-16 Sunday 17:13  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, multi.sh, multi1.cmd, multi1.right,
	multi1.tests, multi2.cmd, multi2.right, multi2.tests, multi3.cmd,
	multi3.right, multi3.tests, run-subshell, sig.right, subshell.sh,
	subshell1.cmd, subshell1.right, subshell1.tests, subshell2.cmd,
	subshell2.tests, subshell3.cmd, subshell3.right, subshell3.tests,
	subshell4.cmd, subshell4.right: multi -> subshell

2003-02-16 Sunday 13:34  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-file.inc, bashdb-fns.inc, bashdb-sig.inc,
	tests/multi4.right: Back to the future. Back to a single journal
	file. Can't get SUBEXIT working and this seems to be more reliable
	(albeit more work/slower).

2003-02-15 Saturday 00:04  Rocky Bernstein <rocky@panix.com>

	* tests/sig.right: Small changes.

2003-02-14 Friday 23:49  Rocky Bernstein <rocky@panix.com>

	* tests/: multi4.cmd, multi4.right, multi4.tests: Add another multi
	test for quit 0 n.

2003-02-14 Friday 23:47  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO, bashdb-sig.inc, tests/multi3.cmd, tests/run-multi:
	Bug in quit 0 n.

2003-02-14 Friday 23:38  Rocky Bernstein <rocky@panix.com>

	* CHANGES: Note BASH_SUBSHELL. Some typographical mistakes
	corrected.

2003-02-14 Friday 23:31  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2003-02-14 Friday 23:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-file.inc, bashdb-fns.inc,
	bashdb-set-d-vars.inc, bashdb-sig.inc: Better journal mechanism:
	Now have journal per subshell. (Journal is used to pass information
	between subshell and parent)
	
	There were escaping bugs in putting history entries into the
	journal and retrieving them.
	
	Debugger "Print" now works like quote does. We were having
	substituion problems before, e.g. "This can't happen" (the single
	quote in the string).
	
	bashdb-fns.inc: New fn _bashdb_esq_dq. Save last_xxx state even if
	we don't enter the debugger.

2003-02-14 Friday 23:16  Rocky Bernstein <rocky@panix.com>

	* tests/: action.cmd, brkpt1.cmd, brkpt1.right, brkpt2.cmd,
	brkpt2.right, display.cmd, finish.cmd, finish.right, list.cmd,
	misc.cmd, misc.right, multi3.cmd, multi3.right, parm.cmd,
	run-multi, search.cmd, search.right, sig.cmd, sig.right, skip.cmd,
	skip.right, tbreak.cmd, tbreak.right, watch1.cmd, watch1.right:
	Print now expands * so add quotes around. Some small
	regularizations.  multi: quit 0 2 now works so note that.a

2003-02-13 Thursday 00:55  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-file.inc, bashdb-fns.inc,
	bashdb-help.inc, bashdb-hist.inc, bashdb-init.inc, bashdb-io.inc,
	bashdb-list.inc, bashdb-main.inc, bashdb-set.inc, bashdb-sig.inc,
	bashdb-stack.inc: Try to make more ksh-93 compatible.
	
	declare -> typeset (except when using declare -p or declare -a). 
	source -> .

2003-02-12 Wednesday 06:47  Rocky Bernstein <rocky@panix.com>

	* bashdb: Small changes to make a little more consistent with ksh93

2003-01-01 Wednesday 04:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-pre.inc.in: Comment more.

2003-01-01 Wednesday 04:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-file.inc: Add % to list of translated file characters.

2002-12-31 Tuesday 16:57  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc, bashdb-list.inc, bashdb-sig.inc: Make all bashdb
	functions begin _bashdb - were were missing a couple of routines.

2002-12-31 Tuesday 04:20  Rocky Bernstein <rocky@panix.com>

	* bashdb-file.inc: Add + to list of translated file2var characters.

2002-12-25 Wednesday 15:30  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: More state saved.

2002-12-25 Wednesday 15:20  Rocky Bernstein <rocky@panix.com>

	* NEWS: Recent stuff.

2002-12-25 Wednesday 15:18  Rocky Bernstein <rocky@panix.com>

	* TODO, bashdb-brk.inc, bashdb-cmds.inc, bashdb-file.inc,
	bashdb-hist.inc, bashdb-set.inc, bashdb-sig.inc, tests/misc.right,
	tests/multi3.cmd, tests/multi3.right, tests/run-multi,
	tests/sig.right: Start the tedious task of having a mechanism for
	setting variables that in a subshell so that its value appears in
	its parent shell.

2002-12-25 Wednesday 04:14  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc: Fix setting breakpoints over
	restart. Needed to save the _brkpt_filevar and _action_filevar
	arrays as well as _brkpt_count and _brkpt_cond arrays.
	
	If we are in a subshell, we need to save BASHB_RESTART_FILE so it
	will get set in sup-shells.

2002-12-25 Wednesday 03:13  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-12-25 Wednesday 03:13  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-file.inc, bashdb-sig.inc: Bug/Feature
	fix: Restart now quits all subshells before issuing its restart
	(exec) command.

2002-12-21 Saturday 02:31  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Small typo.

2002-12-20 Friday 18:13  Rocky Bernstein <rocky@panix.com>

	* tests/Makefile.am: Add run-bugIFS.

2002-12-20 Friday 17:22  Rocky Bernstein <rocky@panix.com>

	* TODO: Update.

2002-12-20 Friday 17:17  Rocky Bernstein <rocky@panix.com>

	* NEWS: -  Bug: if IFS set character in filename: the filename
	would be truncated.	Handle IFS save/restore more pervasively by
	saving on DEBUG handler     entry.

2002-12-20 Friday 17:12  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-fns.inc: Save and restore IFS on debug
	signal handler. It means we can remove custom save/restores
	elsewhere in the code.

2002-12-20 Friday 17:11  Rocky Bernstein <rocky@panix.com>

	* tests/: bugIFS, bugIFS.cmd, bugIFS.right, bugIFS.sh,
	bugIFS.tests, run-bugIFS: Regression test of recent bug when not
	setting IFS on signal entry.

2002-12-20 Friday 17:09  Rocky Bernstein <rocky@panix.com>

	* tests/sig.right: Update for IFS bug fix.

2002-12-10 Tuesday 09:45  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc: More bash-oriented way to strip off a suffix.

2002-12-10 Tuesday 06:05  Rocky Bernstein <rocky@panix.com>

	* emacs/gud.el: Eval expression command is "x" not "pe"

2002-12-09 Monday 13:16  Rocky Bernstein <rocky@panix.com>

	* CHANGES: "set -x" now show "for", "case" and "select" headers (
	"for x in", "case c in", "select s")

2002-12-09 Monday 12:13  Rocky Bernstein <rocky@panix.com>

	* tests/version: not needed?

2002-12-08 Sunday 03:42  Rocky Bernstein <rocky@panix.com>

	* NEWS: Get ready for yet another release.

2002-12-07 Saturday 21:49  Rocky Bernstein <rocky@panix.com>

	* bashdb-main.inc: Make sure we can read the restart file.

2002-12-07 Saturday 21:48  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Forgot to unset flag which says to reread the
	file.

2002-12-07 Saturday 21:43  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-brk.inc, bashdb-cmds.inc, bashdb-main.inc,
	tests/brkpt2.right, tests/debug.right, tests/finish.right,
	tests/parm.right, tests/sig.right: Preserve breakpoints,
	watchpoints, debugger set variables on a restart.

2002-12-07 Saturday 21:41  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Remove compile of bashdb.elc. It's going away
	anyway.

2002-12-07 Saturday 15:24  Rocky Bernstein <rocky@panix.com>

	* NEWS: As appropriate.

2002-12-07 Saturday 13:18  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-12-07 Saturday 13:16  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc: bashdb-io.inc (_bashdb_readlin): - When reading
	large files which takes a long time, print out status every 1000
	lines.

2002-12-07 Saturday 13:02  Rocky Bernstein <rocky@panix.com>

	* NEWS: Bug: (parse.y) line number was not updated properly when in
	a here documented with an unquoted delimter and containing
	backslash newline.
	
	Update and modernize tests and make executable.

2002-12-07 Saturday 03:47  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig-ret.inc: Not used, but it if it were, this would be
	right. Need to save/restore IFS around a "set -"

2002-12-07 Saturday 03:44  Rocky Bernstein <rocky@panix.com>

	* bashdb-list.inc: Typo.

2002-12-07 Saturday 03:43  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-12-06 Friday 16:27  Rocky Bernstein <rocky@panix.com>

	* emacs/: gud.el, gud.el.diff: A typo. Also modified DB when I
	meant to modify bashdb.

2002-12-04 Wednesday 00:46  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Typo.

2002-12-04 Wednesday 00:34  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Remove previous variable test. Not needed?

2002-12-04 Wednesday 00:24  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Bug in set was set of IFS messing up "set"
	parsing. This time for sure!?

2002-12-03 Tuesday 23:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: More precise function comment.

2002-12-03 Tuesday 23:34  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Bug: if _bashdb_old_set_opts was null. Test now.

2002-12-02 Monday 13:20  Rocky Bernstein <rocky@panix.com>

	* TODO: Update as appropriate.

2002-12-02 Monday 11:58  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-12-02 Monday 11:42  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-file.inc, bashdb-init.inc:
	bashdb-file.inc: source persistent only if it exists. 
	bashdb-init.inc/bashdb-cmds.inc: read persistent, write persistent.

2002-12-02 Monday 11:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Update doc for "x/examine"

2002-12-02 Monday 11:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Hack (but works more often) cleanup of persistent
	file.

2002-12-02 Monday 11:40  Rocky Bernstein <rocky@panix.com>

	* CHANGES, NEWS, TODO: As appropriate.

2002-12-02 Monday 11:39  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, run-misc, run-sig: Makefile.am: add
	run-multi run-sig: line number changes run-misc: bad testing of
	return codes. Wasn't doing second test.

2002-12-02 Monday 09:32  Rocky Bernstein <rocky@panix.com>

	* CHANGES: Update as appropriate.

2002-12-01 Sunday 21:26  Rocky Bernstein <rocky@panix.com>

	* tests/: multi3.cmd, multi3.tests: Regression test for
	multi-statement lines and quit multiple levels

2002-12-01 Sunday 21:24  Rocky Bernstein <rocky@panix.com>

	* tests/: misc.right, multi.sh, multi1.cmd, multi1.right,
	multi1.tests, multi2.cmd, multi2.right, multi2.tests, multi3.right,
	run-multi, sig.right: Regression tests for multi-statement lines
	and new quit command.

2002-12-01 Sunday 00:34  Rocky Bernstein <rocky@panix.com>

	* tests/misc.right: Was checking buggy history command.

2002-12-01 Sunday 00:13  Rocky Bernstein <rocky@panix.com>

	* bashdb-hist.inc: Typo.. "H count" was broken.

2002-11-30 Saturday 06:16  masata-y

	* bashdb: Fix a typo.

2002-11-26 Tuesday 15:47  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc, bashdb-set-d-vars.inc: More elegant (and I
	wonder if not more robust) way to set $1 via set.  Use "set -- xx
	yy" rather than "set xx yy"

2002-11-26 Tuesday 12:23  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-11-26 Tuesday 12:09  Rocky Bernstein <rocky@panix.com>

	* emacs/gud.el.diff: Set default minibuf-mod-map in bashdb read
	call from Masatake YAMATO and add link to
	http://bashdb.sourceforge.net

2002-11-26 Tuesday 12:04  Rocky Bernstein <rocky@panix.com>

	* emacs/gud.el: Add HTTP reference.

2002-11-26 Tuesday 11:34  Rocky Bernstein <rocky@panix.com>

	* emacs/gud.el: Change from Masatake YAMATO in running bash
	initially. Uses gud-minibuffer-local-map now.

2002-11-23 Saturday 05:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Don't wipe temp files unless subshell is 0.
	Likewise don't enter command shell if subshell is not 0. Don't know
	that this will make much difference, but I guess it's the right
	thing to do.

2002-11-23 Saturday 05:15  Rocky Bernstein <rocky@panix.com>

	* tests/misc.right: Output changed because of "set showcommand"

2002-11-23 Saturday 03:02  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Document help "set showcommand"

2002-11-23 Saturday 02:50  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-11-23 Saturday 02:50  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc: Bug: if no script we were running "set" to dump
	environment.

2002-11-23 Saturday 01:57  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-list.inc, bashdb-set.inc,
	emacs/bashdb.el, emacs/gud.el, tests/sig.right: We now keep track
	of the subshell level: dynamic veriable BASH_SUBSHELL and the
	debugger prints these as ()'s inside of the prompt.

2002-11-21 Thursday 05:44  Rocky Bernstein <rocky@panix.com>

	* ddd/ddd-3.3.1-bashdb.diff: Display bash variables of the form
	${foo} or even ${foo[bar]##/*} now.

2002-11-20 Wednesday 17:00  Rocky Bernstein <rocky@panix.com>

	* TODO: Current state of things and known bugs.

2002-11-20 Wednesday 15:11  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-11-20 Wednesday 14:55  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc: "bash --debugger script args" was not setting
	args properly.

2002-11-20 Wednesday 04:31  Rocky Bernstein <rocky@panix.com>

	* tests/sig.right: Output chagned yet again.

2002-11-20 Wednesday 04:03  Rocky Bernstein <rocky@panix.com>

	* tests/debug.right: Change to have it work with different paths.
	Use basename setting.

2002-11-20 Wednesday 04:02  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Changes to have regression tests work with
	different paths.

2002-11-20 Wednesday 03:27  Rocky Bernstein <rocky@panix.com>

	* tests/run-sig: Typo.

2002-11-20 Wednesday 03:20  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.right, debug.right, finish.right, parm.right:
	Shortend bashdb.

2002-11-20 Wednesday 03:17  Rocky Bernstein <rocky@panix.com>

	* bashdb: We have a better expand_fn now if we need it.

2002-11-20 Wednesday 02:44  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: This is a pain. Get date and autoregen right on
	bashdb-pre.inc.

2002-11-20 Wednesday 02:37  Rocky Bernstein <rocky@panix.com>

	* tests/misc.right: Made more like GDB output for ddd.

2002-11-20 Wednesday 02:26  Rocky Bernstein <rocky@panix.com>

	* TODO: Mostly hacks to make a distribution work smoothly. 
	MANIFEST: add DVI's. This reduce TeX dependency, okay? TODO:
	document bugs configure.in touch files so that we have right the
	first time.

2002-11-20 Wednesday 01:26  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Variable name typo. When rerunning, show full
	command now. Is messing up a bit too much.

2002-11-20 Wednesday 01:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-set.inc: Update help.

2002-11-20 Wednesday 01:21  Rocky Bernstein <rocky@panix.com>

	* bashdb: Remove readonly attributes because when we run as a
	subshell these want to get set again. May have to rethink how to
	do.

2002-11-20 Wednesday 01:20  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Put touch inside build of bashd-pre.inc to avoid
	redoing work.

2002-11-20 Wednesday 01:19  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Add set documentation. Put messages in a form
	that DDD will understand without any hassle.

2002-11-19 Tuesday 21:01  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate. Gee there are lots of changes,
	mostly bug fixes.

2002-11-19 Tuesday 20:32  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc, bashdb-help.inc,
	bashdb-io.inc, bashdb-main.inc: Canonicalize filevars via a file
	expand routine. Allows multpile to refer to a given file.
	
	Add option to have files show only short (basename) names, useful
	in testing
	
	Add set/show of these.
	
	Bug in not setting fntrace correctly on debugger exit.
	
	Add -c option on bashdb. Analogous to "bash -c string"

2002-11-19 Tuesday 20:28  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.cmd, brkpt2.right, misc.right, parm.cmd,
	parm.right: *.cmd: added a couple of info files to check that we
	read in files only once.  misc: added "set/show debugger and
	basename" *.right: corresponding new output

2002-11-19 Tuesday 20:16  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc, bashdb-set.inc: Add set/show options to debug
	debugger and have filenames get listed as basename only.

2002-11-19 Tuesday 20:15  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, bashdb-file.inc: Break out more routines into
	bashdb-file.inc.  Add _bashdb_expand_filename to canonicalize file
	names.

2002-11-19 Tuesday 15:40  Rocky Bernstein <rocky@panix.com>

	* tests/sig.right: Numbers keep changing...

2002-11-19 Tuesday 15:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, tests/brkpt2.right: Fix bug in
	continue comand. Moved code from bashdb-brk.inc to bashdb-cmds.inc

2002-11-19 Tuesday 08:03  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.cmd, brkpt2.right: Small change to make regression
	test work on FreeBSD.

2002-11-19 Tuesday 07:58  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-init.inc, bashdb-list.inc,
	bashdb-pre.inc.in: Use common routines now. Spelled "Bourne"
	incorrectly in bashdb-{pre,init}.inc

2002-11-19 Tuesday 07:57  Rocky Bernstein <rocky@panix.com>

	* tests/brkpt1.right: some output changed: linespecs aren't
	necessarily lines. Erroneously "break" instead of "clear" as a
	result of cut-and-paste.

2002-11-19 Tuesday 07:55  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Add common routines _bashdb_check_line and
	_bashdb_get_maxline.  Reduces code bulk while making things more
	reliable. _get_maxline now reads in the file if it hasn't been read
	in yet.

2002-11-19 Tuesday 07:53  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc: Test to see if file exists before reading. We
	could probably do better, but will need more code reorganization
	for this.

2002-11-19 Tuesday 03:15  Rocky Bernstein <rocky@panix.com>

	* tests/brkpt1.right: Ditto.

2002-11-19 Tuesday 03:14  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc: A little closer for FreeBSD...

2002-11-19 Tuesday 03:08  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-stack.inc, tests/brkpt1.right,
	tests/brkpt2.right, tests/debug.right, tests/finish.right,
	tests/parm.right, tests/sig.right: Even closer to getting FreeBSD
	regression tests work okay.

2002-11-19 Tuesday 02:50  Rocky Bernstein <rocky@panix.com>

	* bashdb-list.inc, tests/list.right: More changes to make FreeBSD
	regression tests work out -- more to come...

2002-11-19 Tuesday 02:44  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.right, dbg-test1.sub, watch2.right: More changes
	to make FreeBSD regression tests work.

2002-11-19 Tuesday 02:31  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-brk.inc, bashdb-init.inc, bashdb-list.inc,
	bashdb-stack.inc, tests/action.right, tests/action.tests,
	tests/brkpt1.right, tests/brkpt1.tests, tests/brkpt2.right,
	tests/brkpt2.tests, tests/debug.right, tests/debug.tests,
	tests/display.right, tests/display.tests, tests/finish.right,
	tests/finish.tests, tests/list.right, tests/list.tests,
	tests/misc.right, tests/misc.tests, tests/parm.right,
	tests/parm.tests, tests/search.right, tests/search.tests,
	tests/sig.right, tests/sig.tests, tests/skip.right,
	tests/skip.tests, tests/tbreak.right, tests/tbreak.tests,
	tests/watch1.right, tests/watch1.tests, tests/watch2.right,
	tests/watch2.tests: Add -B option to list only basename in debugger
	output. Is useful for FreeBSD which list files as foo rather than
	./foo.

2002-11-19 Tuesday 00:40  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, bashdb-pre.inc.in: Release information included via
	bashdb-pre.inc (via bashdb-pre.inc.in)

2002-11-19 Tuesday 00:36  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, NEWS, bashdb, bashdb-init.inc, bashdb-init.inc.in,
	bashdb.in, tests/brkpt2.right, tests/debug.right,
	tests/finish.right, tests/misc-output.right, tests/parm.right,
	tests/sig.right: Add release information via new file bashdb-pre.in
	rather than modify bashdb-init.inc and bashdb

2002-11-18 Monday 14:32  Rocky Bernstein <rocky@panix.com>

	* NEWS: typo

2002-11-18 Monday 14:30  Rocky Bernstein <rocky@panix.com>

	* NEWS: Note configure script bug fix.

2002-11-18 Monday 13:57  Rocky Bernstein <rocky@panix.com>

	* configure.in: Clean up a little.

2002-11-18 Monday 01:26  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Changes to make .in targets get recreated.

2002-11-18 Monday 00:44  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO: Update to reflect current situation.

2002-11-18 Monday 00:42  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.right, debug.right, finish.right, parm.right,
	sig.right: Line numbers inside signal handlers changed.

2002-11-18 Monday 00:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Bug: don't set exit handler inside debug trap
	handler. Seems to kick to be inhereted on subshells and then we
	call the exit routine too often.
	
	exit_handler more like the other handlers. Understands
	"stop/nostop, print/noprint stack/nostack". Does more of the same
	things before entering cmdloop that debug_handler does via a more
	common debugger enter routine.
	
	Saving _curline now done in common debbber enter routine

2002-11-18 Monday 00:38  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: File got trunctated. Like bashdb-help.inc --
	Hmm. Something's fishy.
	
	Anyway, "debug" with no arguments now uses the last command rather
	the last statement. This should be correct more often.

2002-11-18 Monday 00:34  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc, bashdb-main.inc: _curline is now set by
	BASH_LINENO rather than passing as a parameter to the trap.
	
	Add this common thing inside common debugger enter routine.

2002-11-18 Monday 00:30  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: info signals now shows EXIT in list.
	
	Some help text got truncated.
	
	Move CVS Id line to end to facilitate debugging.

2002-11-18 Monday 00:26  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add new .in files to distribution

2002-11-18 Monday 00:23  Rocky Bernstein <rocky@panix.com>

	* bashdb: Derived now from bashdb.in

2002-11-18 Monday 00:23  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc: Derived now from bashdb-init.in

2002-11-18 Monday 00:22  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc.in, bashdb.in: bashdb and bashdb-init.inc are now
	derived so that we can automatically put in the release number.

2002-11-16 Saturday 16:17  Rocky Bernstein <rocky@panix.com>

	* CHANGES: Update as appropriate

2002-11-16 Saturday 14:50  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.right, debug.right, finish.right, parm.right,
	sig.right, skip.right: Recent changes to bashdb-sig.inc changed
	call-stack line numbers.  These tests notice the line number
	change.

2002-11-16 Saturday 14:49  Rocky Bernstein <rocky@panix.com>

	* bashdb-list.inc: We now print the statement to be executed if it
	was on the same line/file and the statement part is different from
	the last time we ran this.

2002-11-16 Saturday 14:48  Rocky Bernstein <rocky@panix.com>

	* emacs/gud.el: Patched version for emacs 21.2 of gud.el with bash
	support.

2002-11-16 Saturday 14:47  Rocky Bernstein <rocky@panix.com>

	* emacs/gud.el.diff: Patches that I hope will be on the next
	version of Emacs (assuming the paperwork isn't lost, people don't
	forget about the patch as a result of the time delay to do the
	paperwork and so on.)

2002-11-16 Saturday 14:45  Rocky Bernstein <rocky@panix.com>

	* emacs/bashdb.el: Move from parent directory here. May have also
	added provision for "finish" command.

2002-11-16 Saturday 14:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-main.inc, bashdb-sig.inc: Now save the command that is to
	be executed next.

2002-11-16 Saturday 14:38  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Add common function
	_bashdb_set_to_return_from_debugger to regularize the things that
	need to be done on exit. There are more now, since we are saving
	the last command executed on this line of the source file.

2002-11-16 Saturday 14:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc: Need to skip more initially for "bashdb -c"
	setup.

2002-11-16 Saturday 14:25  Rocky Bernstein <rocky@panix.com>

	* bashdb: Add -c option analogous to "bash -c".

2002-11-15 Friday 03:25  Rocky Bernstein <rocky@panix.com>

	* ddd/ddd-3.3.1-bashdb.diff: This time, for sure!

2002-11-14 Thursday 20:56  Rocky Bernstein <rocky@panix.com>

	* ddd/ddd-3.3.1-bashdb.diff: Final diff patch for ddd?

2002-11-14 Thursday 20:45  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, ddd/ddd-3.3.1-bashdb.diff,
	tests/brkpt2.cmd, tests/brkpt2.right, tests/sig.right: More
	improvements to "x" command. Use print as a fallback...

2002-11-14 Thursday 14:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc, tests/sig.right: configuure.in: get ready for
	version 0.32 bashdb.texi: minor typo changes debugger/help/sig:
	Remove "Num" from title as it is no longer there.

2002-11-14 Thursday 14:08  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-11-14 Thursday 13:15  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc, bashdb-sig.inc, tests/sig.right: A tad more like
	gdb: no signal numbers listed. No longer trap on SIGWINCH.

2002-11-14 Thursday 04:39  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-help.inc, bashdb-sig.inc, tests/sig.right: Add help
	for "handle". Tidy generic signal handler more and make more
	general (e.g unconditinally turn off set tracing).

2002-11-14 Thursday 04:22  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc, bashdb-sig.inc, tests/sig.right: Clean up signal
	handling code a small amount by creating a common routine to set
	some global variables.

2002-11-14 Thursday 00:33  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-help.inc, bashdb-sig.inc, tests/sig.cmd,
	tests/sig.right, tests/sig.sh: Signal handling is more like gdb
	now. No doubt there're room for improvement, but this is probably a
	big improvement.

2002-11-14 Thursday 00:32  Rocky Bernstein <rocky@panix.com>

	* ddd/ddd-3.3.1-bashdb.diff: Patches to make ddd work.

2002-11-12 Tuesday 20:20  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO, bashdb-brk.inc, bashdb-cmds.inc, bashdb-init.inc,
	bashdb-sig.inc, tests/sig.right: Some work on signal handling. More
	is there, more to do. So what else is new?

2002-11-12 Tuesday 16:50  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt1.cmd, brkpt1.right: Add error tests on "info
	break". And add test for "info break n."

2002-11-12 Tuesday 14:30  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-11-12 Tuesday 14:29  Rocky Bernstein <rocky@panix.com>

	* tests/: misc.right, sig.right: Recent changes in code are
	reflected changed output (line numbers or help text)

2002-11-12 Tuesday 12:45  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-help.inc: Add gdb's
	"condition" command.

2002-11-12 Tuesday 12:42  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Oops --- typo in variable name.

2002-11-12 Tuesday 12:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Add provision for debugging debugger.

2002-11-12 Tuesday 12:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc: Add more file translation characters for ", [, and
	] and reorder letters to make mnemonic.

2002-11-12 Tuesday 12:39  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt1.cmd, brkpt1.right: Add regression tests for new
	"condition" command.

2002-11-12 Tuesday 04:56  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Caught another routine that didn't start _bashdb_

2002-11-12 Tuesday 04:45  Rocky Bernstein <rocky@panix.com>

	* TODO: Cross many things off list.

2002-11-12 Tuesday 04:45  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate - major changes.

2002-11-12 Tuesday 04:44  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Move bashdb.el into emacs directory.

2002-11-12 Tuesday 04:36  Rocky Bernstein <rocky@panix.com>

	* tests/sig.right: Had had wrong line numbers. This time, for sure!

2002-11-11 Monday 21:45  Rocky Bernstein <rocky@panix.com>

	* bashdb.el: Moved inside emacs directory now.

2002-11-11 Monday 02:26  Rocky Bernstein <rocky@panix.com>

	* NEWS: Believe it or not, the C files have gotten a little bit
	*simpler*. We are closer towards having line numbers recorded
	accurately in BASH_LINENO (although things are not perfect yet).

2002-11-11 Monday 02:05  Rocky Bernstein <rocky@panix.com>

	* tests/brkpt2.right: Would you believe that we had been checking
	an erroneous down all along?

2002-11-10 Sunday 19:39  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc, bashdb-stack.inc, bashdb.el, tests/brkpt2.right,
	tests/misc.right: bashdb-help: Make more like gdb - facilitates use
	in ddd.  bashdb-stack.inc: Fix bug in "stack_down". (There's
	another one though lurking) bashdb.el: add key mapping for finish
	and other keymappings tests/misc: change in "show" output
	tests/brkpt2: perhaps better although not quite perfect.

2002-11-10 Sunday 16:35  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Add help for finish command. Invalid help
	command now reports what gdb does.

2002-11-10 Sunday 04:54  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Missed a place that should have added _bashdb.

2002-11-10 Sunday 01:28  Rocky Bernstein <rocky@panix.com>

	* bashdb-set.inc: Make show command work like gdb.

2002-11-10 Sunday 01:16  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc: Missed a couple more "builtin printf"'s

2002-11-10 Sunday 01:15  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc: Specify *builtin* printf.

2002-11-10 Sunday 01:12  Rocky Bernstein <rocky@panix.com>

	* tests/finish.cmd: gdb "finish" (= perl5db "return") regression
	test.

2002-11-09 Saturday 12:38  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, NEWS, bashdb-cmds.inc, bashdb-help.inc,
	bashdb-hist.inc, bashdb-io.inc, bashdb-main.inc, bashdb-set.inc,
	tests/misc.cmd, tests/misc.right, tests/sig.cmd, tests/sig.right,
	tests/sig.sh: echo -> builtin echo Add "info signals" and "info
	handler" Break out history into new file bashdb-hist.inc.  Help
	command change v -> M

2002-11-09 Saturday 02:29  Rocky Bernstein <rocky@panix.com>

	* tests/sig.sh: Regression test for signal handling.

2002-11-09 Saturday 02:08  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Previous flie was horribly truncated.

2002-11-07 Thursday 10:34  Rocky Bernstein <rocky@panix.com>

	* tests/run-sig: Fix bug in reporting a pass when we fail.

2002-11-06 Wednesday 03:43  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig-ret.inc, tests/Makefile.am, tests/finish.right,
	tests/finish.tests, tests/run-finish, tests/run-sig: bashdb.texi:
	Document finish command.
	
	debugger/tests*, MANIFEST, Makefile.am: Add finish command test.
	
	*sig: add signal save/restor test

2002-11-02 Saturday 20:17  Rocky Bernstein <rocky@panix.com>

	* NEWS: Today's hacks.

2002-11-02 Saturday 19:47  Rocky Bernstein <rocky@panix.com>

	* tests/run-sig: Signal handler testing.

2002-11-02 Saturday 19:46  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, bashdb-list.inc, bashdb-sig-ret.inc, bashdb-sig.inc,
	tests/Makefile.am, tests/sig.cmd, tests/sig.right, tests/sig.sh,
	tests/sig.tests: Save/restore signals on entering debugger.

2002-11-02 Saturday 15:16  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-sig.inc: Workaround? for bash bug
	introduced implementing "trap RETURN"

2002-11-02 Saturday 14:15  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Small comment changes.

2002-11-02 Saturday 14:12  Rocky Bernstein <rocky@panix.com>

	* CHANGES: Reflects better the changes.

2002-11-02 Saturday 14:03  Rocky Bernstein <rocky@panix.com>

	* CHANGES: Update as appropriate.

2002-11-02 Saturday 13:12  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-sig.inc, bashdb-stack.inc,
	tests/brkpt2.right, tests/parm.right: Fix bug where stack trace
	current line entry was sometimes wrong.  No longer mangle line
	number in stack changing commands.
	
	Printing source line on "RETURN" debugger call.

2002-11-01 Friday 12:14  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc, bashdb-io.inc,
	bashdb-list.inc, bashdb-main.inc, bashdb-sig.inc: Add gdb's finish
	or perl5db's return. Line number on return statement is funny and
	there are some bugs to make fully work.
	
	Now all debugger routines start _bashdb.

2002-10-31 Thursday 03:11  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-10-31 Thursday 03:03  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-help.inc, tests/misc.cmd,
	tests/misc.right: Allow negative numbers in history commands.  Get
	ready for release 0.30.

2002-10-30 Wednesday 12:13  Rocky Bernstein <rocky@panix.com>

	* TODO: Cross some things off the list.

2002-10-29 Tuesday 13:54  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-help.inc, tests/misc.cmd,
	tests/misc.right: Make history command more robust and allow for
	more features.	How allows for !n:p. We now give an error message
	if the history numbers are out of range. Separate history parsing
	into a subroutine to tidy and facilitate future features.

2002-10-27 Sunday 04:05  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update as appropriate.

2002-10-27 Sunday 04:02  Rocky Bernstein <rocky@panix.com>

	* bashdb-set-d-vars.inc: Better way to set dollar parameters. It
	handles more than $1..$9 and sets $# correctly too.

2002-10-27 Sunday 03:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-init.inc: bug in bashdb --debugger some local's must be
	declares.

2002-10-26 Saturday 14:27  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-brk.inc, bashdb-cmds.inc, bashdb-help.inc,
	bashdb-init.inc, bashdb-set.inc: Fix/change history. Numbers now
	match prompt numbers. Can use !n as well as hi n
	
	Add GDB's "set editing" command.
	
	_bashdb_help_set added to show set commands. Made more like GDB's
	output.

2002-10-26 Saturday 14:25  Rocky Bernstein <rocky@panix.com>

	* tests/: misc.cmd, misc.right: Output changes as a result of:
	
	 - Fix/change history. Numbers now match prompt numbers.
	-  Add test of GDB's "set args" command.  -  Add test of  GDB's
	"set editing" command.

2002-10-25 Friday 12:15  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, tests/misc.cmd, tests/misc.right: Make H be like
	perl's. Fix history (hi) command. Don't but some commands like
	comment and history in the history. Test.

2002-10-25 Friday 12:05  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, tests/misc.cmd, tests/misc.right: Make H be more
	like perl's. Make hi work.

2002-10-25 Friday 11:07  Rocky Bernstein <rocky@panix.com>

	* bashdb-set.inc, tests/brkpt2.right, tests/debug.right,
	tests/list.right, tests/misc.right, tests/parm.right,
	tests/run-misc: Tidy up show output. Tests changed largely as a
	result of size increase in bashdb from last change.  run-misc:
	wasn't giving an error is diff failed on first diff check.

2002-10-25 Friday 10:44  Rocky Bernstein <rocky@panix.com>

	* NEWS: Latest news...

2002-10-25 Friday 10:41  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-cmds.inc, bashdb-set.inc, tests/misc-output.right,
	tests/misc.cmd, tests/misc.right, tests/run-misc: Add "set/show
	prompt." Make prompt customizable.  bashdb: all -t to be a
	filename.

2002-10-24 Thursday 13:33  Rocky Bernstein <rocky@panix.com>

	* bashdb-set.inc, bashdb-sig.inc: Comment about why slightly more
	complex loop to set args.

2002-10-24 Thursday 13:08  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-brk.inc, bashdb-cmds.inc, bashdb-help.inc,
	bashdb-init.inc, bashdb-io.inc, bashdb-set.inc, tests/brkpt2.right,
	tests/debug.right, tests/misc.cmd, tests/misc.right,
	tests/parm.right: -  Fix bugs in debugger output when debugged
	program redirects I/O
	
	-  Add GDB's "set args" command

2002-10-23 Wednesday 13:04  Rocky Bernstein <rocky@panix.com>

	* bashdb: Remove debug statement accidentally committed.

2002-10-23 Wednesday 12:51  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-init.inc, bashdb-io.inc, tests/brkpt2.right,
	tests/debug.right, tests/parm.right: bashdb, bashdb-init.inc: Add
	-t option to set tty bashdb-io.inc: bug in not testing _bashdb_tty
	in _bashdb_printf tests: output changes bashdb script has gotten
	larger.

2002-10-23 Wednesday 12:49  Rocky Bernstein <rocky@panix.com>

	* TODO: Update as appropriate.

2002-10-23 Wednesday 12:26  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-help.inc,
	bashdb-init.inc, bashdb-io.inc, bashdb-set.inc, tests/misc.cmd,
	tests/misc.right: Change variable $_tty to $_bashdb_tty
	
	All "read -e -p" now have input and output redirected.
	
	Implement tty command to set tty.

2002-10-22 Tuesday 10:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Fix bug in printing debugger prompt when
	debugged program has redirected stderr. Thanks to Masatake YAMATO.

2002-10-21 Monday 14:59  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Remove trailing blanks.

2002-10-21 Monday 14:48  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc, bashdb-list.inc, bashdb-sig.inc: Just format
	changes: remove blanks at the ends of some lines.

2002-10-21 Monday 14:26  Rocky Bernstein <rocky@panix.com>

	* .cvsignore: Allow for different versions of autotools.

2002-10-21 Monday 14:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Bug in "help return" -- missing some lines
	there.

2002-10-19 Saturday 13:26  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Add documentation for new command return. 
	bashdb.texi: had duplicate help screens

2002-10-19 Saturday 13:08  Rocky Bernstein <rocky@panix.com>

	* NEWS: Minor typographical changes.

2002-10-19 Saturday 03:24  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, tests/debug.right: Make so regression test is
	portable. A hack for now

2002-10-19 Saturday 03:16  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, tests/debug.cmd, tests/debug.right: Correct
	debug test.

2002-10-19 Saturday 03:14  Rocky Bernstein <rocky@panix.com>

	* tests/debug2.cmd: Need to have a separate file for debug after
	nested one level.

2002-10-19 Saturday 02:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-set-d-vars.inc: To set dollar variables ($1, $2, ... $?)
	before evaluation of a user expression.

2002-10-19 Saturday 02:14  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, run-watch2, watch2.cmd, watch2.right,
	watch2.tests: Add more tests.

2002-10-19 Saturday 01:31  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc,
	bashdb-io.inc, bashdb-sig.inc, tests/debug.cmd, tests/debug.right,
	tests/debug.sh, tests/debug.tests, tests/parm.right,
	tests/run-debug: A better way of handling setting dollar variables.
	
	Add debug test.

2002-10-18 Friday 12:44  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, NEWS: Set $1, $2 before watch-expression
	evaluation

2002-10-18 Friday 12:10  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-sig.inc: $? is saved and preserved
	for use inside "eval" and "print"

2002-10-18 Friday 12:06  Rocky Bernstein <rocky@panix.com>

	* tests/: parm.cmd, parm.sh: Test that $? is saved and preserved in
	eval and print.

2002-10-18 Friday 10:38  Rocky Bernstein <rocky@panix.com>

	* bashdb-set.inc: Correct show version to add more sources.

2002-10-18 Friday 10:32  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-sig.inc: Fix bug in skip *count*.

2002-10-18 Friday 10:31  Rocky Bernstein <rocky@panix.com>

	* tests/: action.cmd, tbreak.cmd: Add CVS Id lines.

2002-10-18 Friday 10:30  Rocky Bernstein <rocky@panix.com>

	* tests/: skip.cmd, skip.right, skip.sh, skip.tests: More thorough
	tests of skip command.

2002-10-18 Friday 10:30  Rocky Bernstein <rocky@panix.com>

	* tests/: parm.cmd, parm.right, parm.sh: Add return tests. More
	detailed dollar tests.

2002-10-17 Thursday 12:56  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO, bashdb-cmds.inc, bashdb-main.inc, tests/brkpt2.right,
	tests/parm.right: bashdb-main.inc: Bug in changing to
	_bashdb_libdir bashdb-cmds.inc: number of times nested in debug
	listed via exported variable		      BASHDB_LEVEL

2002-10-17 Thursday 12:11  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Remove debugging statments.

2002-10-17 Thursday 04:10  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO, bashdb, bashdb-cmds.inc: Get "debug" working much
	better:   variables (e.g. $0) are substituted now.    "bash
	--debugger" invocations work since we no longer fork	_libdir
	renamed to _bashdb_libdir (in bashdb).	  We add "-L
	_bashdb_libdir" when executing via bashdb script.

2002-10-16 Wednesday 12:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Document skip and debug.

2002-10-16 Wednesday 12:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Make skip work like next/step.

2002-10-16 Wednesday 12:22  Rocky Bernstein <rocky@panix.com>

	* NEWS: As appropriate.

2002-10-16 Wednesday 03:40  Rocky Bernstein <rocky@panix.com>

	* tests/skip.right: Correct output from skip test.

2002-10-16 Wednesday 03:29  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Document skip command.

2002-10-16 Wednesday 02:57  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-sig.inc, tests/Makefile.am,
	tests/run-skip, tests/skip.cmd, tests/skip.tests: Add ability to
	skip execution of a command. Debugger command: skip

2002-10-12 Saturday 03:18  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update to reflect current sitiation

2002-10-12 Saturday 03:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-list.inc, tests/search.cmd, tests/search.right: Fix bug in
	search forward not resetting line to start.
	
	Search now lists only one line same as gdb and perl5db do.  Update
	tests as appropriate.

2002-10-11 Friday 01:39  Rocky Bernstein <rocky@panix.com>

	* tests/parm.sh: To keep run-parm and parm.right company.

2002-10-11 Friday 01:21  Rocky Bernstein <rocky@panix.com>

	* tests/: parm.cmd, parm.right: Add an action command. Forgot to
	check in parm.right.

2002-10-11 Friday 01:08  Rocky Bernstein <rocky@panix.com>

	* TODO: Update to reflect current situtation: parameters now work.

2002-10-11 Friday 00:57  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-main.inc, bashdb-sig.inc, tests/parm.cmd:
	Fix bug so that $1 preserve embedded blanks (or more precisely,
	embedded IFS) that they might have had.

2002-10-10 Thursday 12:47  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Bug in _bashdb_cmd_eval. Was not erasing
	evalfile before starting if $1.. was empty, so we'd have
	accumulated output.

2002-10-10 Thursday 12:30  Rocky Bernstein <rocky@panix.com>

	* .cvsignore: Add more good derived stuff (from autotools)

2002-10-10 Thursday 12:26  Rocky Bernstein <rocky@panix.com>

	* tests/: run-brkpt1, run-brkpt2, run-display, run-list, run-misc,
	run-parm, run-search, run-tbreak, run-watch1: Make all run* have
	these two properties:
	
	File checked against is now custom for that test (and is called
	*test*.check) to facilitate running batch tests and moving that to
	*test*.right or for just comparison.
	
	Globbing turned off on diff in case there is an discrepency and the
	difference has a pattern character like *.

2002-10-10 Thursday 12:20  Rocky Bernstein <rocky@panix.com>

	* tests/run-action: File checked against is now custom for that
	test (and is called *test*.check) to facilitate running batch tests
	and moving that to *test*.right or for just comparison.

2002-10-10 Thursday 12:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-io.inc, bashdb-sig.inc, bashdb-stack.inc,
	tests/Makefile.am, tests/misc.cmd, tests/parm.cmd,
	tests/parm.tests, tests/run-display: Add parameters in stack trace.
	And can now refer to $1 $2 $3 in print and eval commands.

2002-10-10 Thursday 12:06  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.right, misc.right: Updated for new stack tracing
	format and $1, $2 evaluation.

2002-10-10 Thursday 12:05  Rocky Bernstein <rocky@panix.com>

	* tests/: run-brkpt1, run-brkpt2, run-list, run-misc, run-parm:
	File checked against is now custom for that test (and is called
	*test*.check) to facilitate running batch tests and moving that to
	*test*.right or for just comparison.

2002-10-03 Thursday 12:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-list.inc, tests/search.cmd, tests/search.right: Fix up
	search command to do the right thing more often. However need to
	make another pass to match gdb semantics more perfectly.  Save last
	search pattern and can be repeated if no pattern given.

2002-09-24 Tuesday 17:30  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, NEWS, bashdb-brk.inc, bashdb-cmds.inc,
	bashdb-help.inc, bashdb-io.inc, bashdb-list.inc, bashdb-main.inc,
	bashdb-sig.inc, tests/Makefile.am, tests/action.cmd,
	tests/action.right, tests/action.tests, tests/brkpt1.right,
	tests/brkpt2.right, tests/run-action, tests/run-search,
	tests/search.cmd, tests/search.right, tests/search.tests,
	tests/tbreak.right, tests/watch1.right: Add "search" "reverse"
	(forward/backward searching) and Perl's "a" (action) commands.
	bashdb-list.inc split off for the debugger growth.

2002-09-24 Tuesday 05:26  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Add tb to help list.

2002-09-23 Monday 22:09  Rocky Bernstein <rocky@panix.com>

	* NEWS: Make mroe readible.

2002-09-23 Monday 21:52  Rocky Bernstein <rocky@panix.com>

	* bashdb.el: Small typo

2002-09-23 Monday 21:47  Rocky Bernstein <rocky@panix.com>

	* bashdb.el: Messed up on author and didn't comment properly.

2002-09-23 Monday 21:41  Rocky Bernstein <rocky@panix.com>

	* MANIFEST: This really isn't used. Autotools rules. (But really we
	do a make dist in the parent directory.)

2002-09-23 Monday 13:09  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-io.inc, tests/display.right: Change format
	of display output to identify display number and expression.

2002-09-22 Sunday 11:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc, tests/Makefile.am, tests/display.cmd,
	tests/display.right, tests/display.tests, tests/run-display: Add
	display regression test.  bashdb-help.inc: change lines to
	linespecs in help. Add missing _bashdb_msg.

2002-09-22 Sunday 02:46  Rocky Bernstein <rocky@panix.com>

	* bashdb.el: Don't know how to spell my own name!

2002-09-22 Sunday 02:35  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Add help for display. correct en/dis help to
	watchpoint and display.

2002-09-22 Sunday 01:41  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO, bashdb-brk.inc, bashdb-cmds.inc, bashdb-help.inc,
	tests/misc.right: Add gdb's auto display commands (display,
	undisplay, enable/disable display)

2002-09-21 Saturday 10:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: debug command a tad better -- now allows for
	command to get run.

2002-09-21 Saturday 10:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Okay, now get out some of the bugs in the
	"debug" command.  More work is needed to make this more seamless.
	(In particular need to skip over execution after debugged execution
	happens).

2002-09-21 Saturday 09:50  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-sig.inc, tests/tbreak.cmd,
	tests/tbreak.right: Add provision to debug into a script ("debug"
	command), and leave script without going back into debugger command
	loop (BASHDB_QUIT_ON_QUIT environment variable).

2002-09-19 Thursday 18:49  Rocky Bernstein <rocky@panix.com>

	* NEWS: Add caller builtin

2002-09-19 Thursday 17:01  masata-y

	* bashdb-help.inc, bashdb.el: bashdb-help.inc: fix typo(tbreak,
	down), added [count] in up command's help message.  bashdb.el:
	added gud-tbreak.

2002-09-19 Thursday 16:51  masata-y

	* bashdb.el: added simple comments about how to install bashdb.el. 
	provided bashdb.

2002-09-19 Thursday 02:03  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, run-tbreak, tbreak.cmd, tbreak.right,
	tbreak.tests: Regression test for temporary break: tbreak

2002-09-19 Thursday 01:37  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-brk.inc, bashdb-cmds.inc, bashdb-help.inc,
	bashdb-sig.inc, tests/brkpt1.right, tests/brkpt2.right: Add
	temporary break.

2002-09-18 Wednesday 06:03  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Document "break" command change args help
	linespec in online help where appropriate.

2002-09-17 Tuesday 13:01  Rocky Bernstein <rocky@panix.com>

	* NEWS: typo.

2002-09-17 Tuesday 12:03  Rocky Bernstein <rocky@panix.com>

	* NEWS: Last minute additions for version 0.25 - recent doc
	changes.

2002-09-17 Tuesday 11:56  Rocky Bernstein <rocky@panix.com>

	* INSTALL: Remove generic instructions and customize for something
	specific for the debugger. Should be more helpful, I think.

2002-09-16 Monday 21:37  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-fns.inc, bashdb-main.inc, bashdb-sig.inc: Move debug
	trap handler to bashdb-sig.inc and rename it, well,
	debug_trap_handler.
	
	Save restart set parameters and inside set -xv (at least
	initially).

2002-09-16 Monday 21:33  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, dbg-test2.sh, misc.cmd, misc.right,
	misc.tests, prof1.cmd, prof2.cmd, run-misc: Add tests of
	miscellaneous commands:   source, info args, show args, show
	warranty, and show copying.

2002-09-14 Saturday 22:26  Rocky Bernstein <rocky@panix.com>

	* NEWS: Update.

2002-09-14 Saturday 22:14  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Change info args to match closer gdb. Is now $1,
	$2 and so on rather than initial program arguments.

2002-09-14 Saturday 21:54  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc, bashdb-main.inc: Now support $1 $2 as ${ARG[1}},
	${ARG[2]}.

2002-09-14 Saturday 21:53  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, brkpt1.right, brkpt2.cmd, brkpt2.right,
	dbg-test1.sh, list.right, watch1.right: Modify dbg-test1.sh so we
	can test parameters.  In the future though, probably time to start
	a dbg-test2.sh
	
	Makefile.am: add brkpt2 test.

2002-09-14 Saturday 19:39  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt2.cmd, brkpt2.right, brkpt2.tests, run-brkpt2: Now
	that we have a real command file mechanism, use it to test correct
	functioning of break, watch, watche, step, next, continue and stack
	handling.

2002-09-14 Saturday 18:51  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Missed place in renaming _hi to _bashdb_hi

2002-09-14 Saturday 16:19  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO, bashdb, bashdb-cmds.inc, bashdb-fns.inc,
	bashdb-init.inc, bashdb-sig.inc: Variable name cleanup: more now
	start with _bashdb

2002-09-14 Saturday 16:09  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Some variable name cleanup and removal.

2002-09-14 Saturday 15:40  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Correct "restart" command when running via "bash
	-c ..."

2002-09-14 Saturday 11:36  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-init.inc, bashdb-io.inc: Small cleanups. BOGUS file
	renamed to *BOGUS*.

2002-09-14 Saturday 11:21  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-cmds.inc, bashdb-help.inc, bashdb-init.inc,
	bashdb-main.inc: Clean up code for debugger source command. Add
	"info source"

2002-09-14 Saturday 05:09  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-init.inc: Slightly cleaner code.

2002-09-14 Saturday 04:51  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-init.inc: Command files now nest
	and pick up where they left off in between script execution. There
	are still some minor cleanups and a small bug here or there.

2002-09-14 Saturday 03:04  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc, bashdb-io.inc:
	bash --debugger -c "..." now works. (Bug in restarting currently
	though.  restart now picks up full bash name from BASH environment
	variable.
	
	To accomplish the above, environment variable BASH_EXECUTION_STRING
	was added which contains the contents what was passed after -c.

2002-09-14 Saturday 01:24  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-brk.inc: Fix bug where "watche x > 24" was creating
	output to file 24

2002-09-14 Saturday 01:23  Rocky Bernstein <rocky@panix.com>

	* tests/watch1.right: Now, more right.

2002-09-13 Friday 19:24  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt1.right, list.right: Update for merged commands.

2002-09-13 Friday 19:09  Rocky Bernstein <rocky@panix.com>

	* NEWS: Add: Function names now supported by changing the semantics
	of declare -F.

2002-09-13 Friday 19:06  Rocky Bernstein <rocky@panix.com>

	* NEWS: Function names now supported. As a result, can now set
	breakpoints on them. However in non-interactive mode the line
	number is wrong. It is the caller line.

2002-09-13 Friday 19:03  Rocky Bernstein <rocky@panix.com>

	* TODO, bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc,
	tests/list.right: Function names now supported. As a result, can
	now set breakpoints on them.  However in non-interactive mode the
	line number is wrong. It is the caller line.
	
	As a result of the above, now extended these commands to include
	linespecs: continue, break, list.

2002-09-13 Friday 15:12  Rocky Bernstein <rocky@panix.com>

	* tests/dbg-test1.sh: Remove CVS id line which messes up regression
	testing.

2002-09-12 Thursday 22:35  Rocky Bernstein <rocky@panix.com>

	* tests/: list.cmd, list.right: More tests, better doc on tests.

2002-09-12 Thursday 22:18  Rocky Bernstein <rocky@panix.com>

	* NEWS, bashdb-cmds.inc, bashdb-io.inc: Add list file:line. Rename
	internal routines from print to list since that's what the command
	is called.

2002-09-12 Thursday 22:17  Rocky Bernstein <rocky@panix.com>

	* tests/dbg-test1.sub: Now have sourced file in debugger test.

2002-09-12 Thursday 22:16  Rocky Bernstein <rocky@panix.com>

	* tests/: brkpt1.right, dbg-test1.sh, list.cmd, list.right: Add
	check of list file:line.

2002-09-12 Thursday 20:17  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-fns.inc: Change names of variables so as
	not to conflict with user variables.  Thus more of them are
	prefaced with "_bashdb_." May have introduced a bug in the renaming
	though...

2002-09-12 Thursday 10:44  Rocky Bernstein <rocky@panix.com>

	* NEWS, TODO: Now list/stop line of "for" or "select".

2002-09-12 Thursday 02:36  Rocky Bernstein <rocky@panix.com>

	* TODO: Note more line number problems.

2002-09-12 Thursday 02:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-sig.inc: Add cmd-loop loop in exit handler so we in fact
	don't exit!

2002-09-12 Thursday 02:13  Rocky Bernstein <rocky@panix.com>

	* bashdb-fns.inc: Don't go into debugger command loop when called
	from the debugger: (the caller is _bashdb_).

2002-09-11 Wednesday 11:39  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-fns.inc, bashdb-init.inc,
	tests/brkpt1.cmd, tests/brkpt1.right, tests/watch1.right: Add break
	file:line syntax. Add counts on watchpoints and display of this on
	listing. Display breakpoint number when adding.  i

2002-09-11 Wednesday 11:38  Rocky Bernstein <rocky@panix.com>

	* NEWS: Version 0.23 changes (so far)

2002-09-11 Wednesday 04:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Make safe for tampering with IFS.

2002-09-10 Tuesday 17:29  Rocky Bernstein <rocky@panix.com>

	* tests/: list.cmd, list.right: Add tests of set/show listsize.

2002-09-10 Tuesday 17:25  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Fix bug in comment without space after #, e.g.
	#foo.

2002-09-10 Tuesday 17:13  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Improve comment pattern so "#foo" works as does
	"# foo."

2002-09-10 Tuesday 16:53  Rocky Bernstein <rocky@panix.com>

	* tests/Makefile.am: Add watch1 test.

2002-09-10 Tuesday 16:49  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc: Bugs fixed in getting watch
	command regression tests hammered out;	 eval now checks for tty,
	listing watchpoints quotes expressions.

2002-09-10 Tuesday 16:40  Rocky Bernstein <rocky@panix.com>

	* tests/: run-watch1, watch1.cmd, watch1.right, watch1.tests: Add
	first watchpoint tests (enough that we can handle with incomplete
	command files).

2002-09-10 Tuesday 15:47  Rocky Bernstein <rocky@panix.com>

	* TODO: Cross a couple of things off the list.

2002-09-10 Tuesday 15:02  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc: Test to see that line breaks are inside lines
	Remove bug in not setting break condition correctly.  Message if no
	breakpoints have been set.

2002-09-10 Tuesday 15:00  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: More crud in comments.

2002-09-10 Tuesday 14:59  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Removed some crud.

2002-09-10 Tuesday 14:58  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Rename to _bashdb_cmd_break to be consistent in
	naming.

2002-09-10 Tuesday 14:56  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, brkpt1.cmd, brkpt1.right, brkpt1.tests,
	run-brkpt1: Add breakpoint tests - or those that we can test out
	right now...

2002-09-10 Tuesday 14:55  Rocky Bernstein <rocky@panix.com>

	* tests/list.tests: More generic format.

2002-09-10 Tuesday 13:08  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.in: Add support to create/run regression
	tests in tests directory.

2002-09-10 Tuesday 13:07  Rocky Bernstein <rocky@panix.com>

	* tests/.cvsignore: A fact of life.

2002-09-10 Tuesday 13:06  Rocky Bernstein <rocky@panix.com>

	* tests/: Makefile.am, dbg-test1.sh, list.cmd, list.right,
	list.tests, run-all, run-list, version: Debugger tests are now
	separated from bash tests, so we can test that separately. And we
	now use automake's code too!

2002-09-10 Tuesday 02:50  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-cmds.inc: Enable/disable of watchpoints
	done. delete, enable and disable will allow suffix "w" for
	watchpoint.

2002-09-10 Tuesday 00:55  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Add help for set command. Minor text changes.

2002-09-09 Monday 23:45  Rocky Bernstein <rocky@panix.com>

	* NEWS: Add case statement work.

2002-09-09 Monday 23:02  Rocky Bernstein <rocky@panix.com>

	* TODO, TODO: Update as appropriate.

2002-09-09 Monday 16:39  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, TODO, configure.in: Use Automake AM_LISPDIR rather
	than trying to roll this code on my own (and failing). Thanks to
	Masatake YAMATO!

2002-09-09 Monday 16:37  Rocky Bernstein <rocky@panix.com>

	* NEWS: Add 0.22 features.

2002-09-08 Sunday 22:57  Rocky Bernstein <rocky@panix.com>

	* bashdb-set.inc: Set/show commands

2002-09-07 Saturday 18:41  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Add frame command. Version command is now a
	separate command.

2002-09-07 Saturday 18:35  Rocky Bernstein <rocky@panix.com>

	* bashdb-stack.inc: Get frame with args command hammered out
	properly.

2002-09-07 Saturday 13:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-io.inc: Some error correction and error message on list
	command.

2002-09-07 Saturday 13:35  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc: Ooops - forgot to allow set/show as valid
	commands here. Move CVS Id to end.

2002-09-07 Saturday 13:09  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, bashdb-cmds.inc, bashdb-fns.inc, bashdb-help.inc,
	bashdb-init.inc, bashdb-io.inc, bashdb-main.inc: Start set/show
	commands.  List now takes up where it left off.  Move some CVS id
	lines to the end to facilitate debugging Some minor improvements.

2002-09-06 Friday 07:06  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc, bashdb-help.inc, bashdb-main.inc: Minor formating
	changes or typos.

2002-09-06 Friday 05:56  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Include new guy bashdb-sig.inc.

2002-09-06 Friday 02:39  Rocky Bernstein <rocky@panix.com>

	* bashdb-cmds.inc, bashdb-main.inc, bashdb-sig.inc: Add signal
	handlers for interrupt and exit. Now we catch when the program
	stopped and report that.

2002-09-06 Friday 02:37  Rocky Bernstein <rocky@panix.com>

	* TODO: Update as appropriate.

2002-09-05 Thursday 14:54  Rocky Bernstein <rocky@panix.com>

	* bashdb-main.inc: Slightly better?

2002-09-05 Thursday 14:53  Rocky Bernstein <rocky@panix.com>

	* bashdb-main.inc: Test to see if we are using a debugger-enabled
	bash, and give up if not.

2002-09-05 Thursday 12:56  Rocky Bernstein <rocky@panix.com>

	* bashdb-brk.inc: Add null line + if in break command.

2002-09-05 Thursday 02:24  Rocky Bernstein <rocky@panix.com>

	* TODO: Update.

2002-09-05 Thursday 02:08  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc,
	bashdb-help.inc, bashdb-init.inc, bashdb-io.inc: Redo the way
	breakpoints are handled. Is more like gdb than perltdb.
	
	Now have enable/disable and breakpoint conditions.
	
	Some other minor changes. Like testing to see if we have an
	attached tty.

2002-09-03 Tuesday 17:22  Rocky Bernstein <rocky@panix.com>

	* bashdb: Change option -s to -q as it is in gdb.

2002-09-03 Tuesday 16:47  Rocky Bernstein <rocky@panix.com>

	* bashdb, bashdb-init.inc: Add more options - x: command file run,
	n: no init file run, -V show version, and -s silient. All
	compatible with GDB.

2002-09-03 Tuesday 16:36  Rocky Bernstein <rocky@panix.com>

	* bashdb-help.inc: Minor change to refer to doc.

2002-09-03 Tuesday 16:30  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add newly-created file bashdb-io.inc

2002-09-03 Tuesday 02:37  rocky

	* TODO, bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc,
	bashdb-help.inc, bashdb-init.inc, bashdb-io.inc, bashdb-main.inc,
	bashdb-stack.inc: Major cleanup/expansion and a
	bug/misunderstanding removed. Now reads in files once. Unset
	breakpoint code no longer inlined. "info files" now works Stack
	trace bug when via "info stack" fixed. bashdb-io.inc created.

2002-09-02 Monday 19:29  rocky

	* bashdb, bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc,
	bashdb-help.inc, bashdb-init.inc: Add info command. In the process,
	we now	allow getting tty and args.

2002-09-02 Monday 04:35  rocky

	* TODO: Revise as appropriate.

2002-09-02 Monday 04:28  rocky

	* bashdb-help.inc: Update to reflect current situation.

2002-09-02 Monday 04:16  rocky

	* bashdb-cmds.inc, bashdb-help.inc, bashdb-stack.inc: Add bt
	backtrace as an alias for where, or T. Add parameter to specify how
	many frames to list on bt.

2002-09-01 Sunday 23:57  rocky

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-stack.inc: Mostly
	formatting. Change basic indent from 4 to 2. Stack commands were
	duplicated in bashdb-cmds.inc, and a file identifier incorrect in
	bashdb-brk.inc

2002-09-01 Sunday 15:05  rocky

	* bashdb-brk.inc, bashdb-cmds.inc, bashdb-fns.inc, bashdb-help.inc,
	bashdb-main.inc: Minor: correct function comments at top of file.

2002-09-01 Sunday 15:05  rocky

	* Makefile.am: Break into more smaller files.

2002-09-01 Sunday 15:04  rocky

	* bashdb-stack.inc: Break away from bashdb-cmds.inc

2002-09-01 Sunday 14:41  rocky

	* bashdb-brk.inc: Things with breakpoints are now in a separate
	file.

2002-09-01 Sunday 14:40  rocky

	* bashdb-help.inc: Things with breakpoints and watchpoints (and
	later actions) are now their own separate file

2002-09-01 Sunday 14:39  rocky

	* bashdb-help.inc: Help is now it's own separate file.

2002-09-01 Sunday 09:32  rocky

	* bashdb-cmds.inc, bashdb-fns.inc: Change pe to x. On watch, set
	initial value (and display it).  Allow dump of variable. Add
	internal function _is_var.

2002-09-01 Sunday 08:08  rocky

	* bashdb-fns.inc: Separate watch variables from watch expressions

2002-09-01 Sunday 08:07  rocky

	* bashdb-init.inc: Add array to note if watchpoint is arithmetic or
	not.

2002-09-01 Sunday 08:06  rocky

	* bashdb-cmds.inc: Separate out watch variable and watch
	expressions.

2002-09-01 Sunday 06:47  rocky

	* bashdb-init.inc: Set default next/step default value.

2002-09-01 Sunday 03:34  rocky

	* bashdb-cmds.inc, bashdb-init.inc: Make more like gdb. Implement
	aliases: run, shell. Add Init file startup ~.bashdbinit. Save args
	on print and pe.

2002-08-31 Saturday 00:44  rocky

	* CHANGES: Note watchpoints, and line number changes.

2002-08-30 Friday 20:17  rocky

	* bashdb-cmds.inc, bashdb-fns.inc: Small cleanups. Remove function
	break code which doesn't work anyway.

2002-08-30 Friday 16:46  rocky

	* bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc: Add
	watchpoints. Help and commands now allow unique prefix, e.g. del
	for delete.

2002-08-30 Friday 16:20  rocky

	* AUTHORS: Again.

2002-08-30 Friday 16:18  rocky

	* AUTHORS: More precies.

2002-08-30 Friday 04:55  rocky

	* TODO: Add watchpoints as requested by Bert Caridad.

2002-08-28 Wednesday 00:56  rocky

	* bashdb-cmds.inc: Fixed bug Inadvertently added by change \? to ?.
	(Is now '?') to help emacs script editing.

2002-08-28 Wednesday 00:52  rocky

	* bashdb-cmds.inc: Doc continue enhancement.

2002-08-28 Wednesday 00:51  rocky

	* bashdb-cmds.inc, bashdb-fns.inc: clearing breakpoints now works
	via a workaround.

2002-08-28 Wednesday 00:48  rocky

	* TODO: Update to reflect current situation.

2002-08-27 Tuesday 03:53  rocky

	* TODO: Did "up" and "down" - remove from list.

2002-08-27 Tuesday 03:52  rocky

	* bashdb.el: Add back in "up" and "down" which we have (but perldb
	doesn't).

2002-08-27 Tuesday 03:51  rocky

	* bashdb, bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc: "Up
	[count} and down {count] working. Stack trace is now more like gdb
	than perl. Probably will move more in that direction, too.
	
	Note: There may be some funniness in FUNCNAME BASH_SOURCE and
	BASH_LINENO.

2002-08-26 Monday 13:22  rocky

	* bashdb, bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc: S !pat
	now works. Some alphabetization of commands and more subroutings in
	bashdb-cmds start _bashdb_cmd_. init Has where we are in stack for
	getting ready to put in up and down.

2002-08-26 Monday 13:20  rocky

	* TODO: Update.

2002-08-26 Monday 13:20  rocky

	* NEWS: More features - note that we're useful even if you don't
	use the debugger.

2002-08-26 Monday 12:06  rocky

	* bashdb-cmds.inc: This time, for sure!

2002-08-26 Monday 12:05  rocky

	* bashdb-cmds.inc: - now lists up to _curline Bug in restart for
	bash --debugger

2002-08-26 Monday 10:55  rocky

	* bashdb: Minor changes.

2002-08-26 Monday 09:45  rocky

	* CHANGES, TODO: Fix off-by-one line number error in command
	subtitutions $(), `` and {}.

2002-08-26 Monday 03:10  rocky

	* bashdb-cmds.inc: Help for individual commands.

2002-08-26 Monday 03:09  rocky

	* TODO: Added emacs lisp install. help on commands and fixed
	substutution line numbers.

2002-08-26 Monday 03:08  rocky

	* .cvsignore, Makefile.am, configure.in: batch-compile and install
	emacs lisp files. (First cut: no doubt there's room for
	improvement.)

2002-08-26 Monday 00:27  rocky

	* bashdb-cmds.inc: A couple more.

2002-08-26 Monday 00:17  rocky

	* bashdb-cmds.inc: Add long-form of commands.

2002-08-26 Monday 00:17  rocky

	* bashdb: Replace a [ with [[

2002-08-25 Sunday 21:50  rocky

	* CHANGES: Note line number change in command substitution.

2002-08-25 Sunday 16:13  rocky

	* TODO: Another bug with subshells found.

2002-08-25 Sunday 13:58  rocky

	* TODO, bashdb-cmds.inc: Fix restart in bash --debugger

2002-08-25 Sunday 06:18  rocky

	* bashdb, bashdb-cmds.inc, bashdb-init.inc, bashdb-main.inc: Minor
	variable name corrections and changes. Mostly to do with version
	command. Typo in bashdb.

2002-08-25 Sunday 06:05  rocky

	* AUTHORS, Makefile.am, PERMISSION, TODO, bashdb, bashdb-cmds.inc,
	bashdb-fns.inc, bashdb-init.inc, bashdb-main.inc: Last minute
	cleanups before initial Savannah CVS import.

2002-08-24 Saturday 22:13  rocky

	* bashdb, bashdb-cmds.inc, bashdb-fns.inc: Mostly small extensions
	to make this match perl5db:  - Add Subroutine list (S)	- Add list
	functions (l func)  - Add variable dump (V)  - Note where we
	haven't finished implementing parameters  - Fix help
	
	bashdb: rename functions to more system-like names (so won't appear
	in function list)

2002-08-24 Saturday 22:08  rocky

	* TODO, NEWS: Update as appropriate.

2002-08-24 Saturday 04:58  rocky

	* TODO: Fixed "continue"

2002-08-24 Saturday 04:55  rocky

	* bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc: Breakpoints now
	work! setting, deleting, clearing all, listing.

2002-08-23 Friday 18:15  rocky

	* bashdb, bashdb-cmds.inc, bashdb-fns.inc: CVS cleanup: add CVS
	lines

2002-08-23 Friday 18:13  rocky

	* bashdb-fns.inc: Command "Continue" ('c") now runs silently.

2002-08-23 Friday 11:57  rocky

	* TODO, bashdb, bashdb-fns.inc, bashdb-init.inc: Get dual execution
	of "bashdb" and "bash --debugger" with respect to command-line
	arguments. In bashdb however, $0 is bashdb not the program.

2002-08-23 Friday 11:56  rocky

	* bashdb.el: Remove looking for "--emacs" option in calling bashdb.
	This is used in perldb but I don't know if we need it here. It
	might get added later when we know what this is about and decide
	it's necessary.

2002-08-23 Friday 04:08  rocky

	* bashdb, bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc,
	bashdb-main.inc, bashdb.el: Changes so that we can support "bash
	--debugger"

2002-08-23 Friday 03:29  rocky

	* CHANGES, TODO: Update to reflect current state of things.

2002-08-22 Thursday 12:13  rocky

	* bashdb: _cleanup -> _bashdb_cleanup

2002-08-22 Thursday 12:03  rocky

	* bashdb: Bug: not handling -T correctly. Also add emacs mode.

2002-08-22 Thursday 11:58  rocky

	* Makefile.am, bashdb-cmds.inc, bashdb-fns.inc, bashdb-init.inc,
	bashdb-main.inc: Split bashdb-fns into multiple *.inc files

2002-08-22 Thursday 11:56  rocky

	* .cvsignore: Yet more of the usual ignored files...

2002-08-22 Thursday 11:54  rocky

	* .cvsignore: CVS: Useful file.

2002-08-21 Wednesday 23:53  rocky

	* CHANGES, bashdb, bashdb-main.inc: Now source the file to be
	debugged rather than use that hacky temp file.	x

2002-08-20 Tuesday 16:10  rocky

	* bashdb, bashdb-main.inc: Bogosity in assuming single-file script
	removed.  Now tracks source file correctly (in conjunction with
	changes in bash)

2002-08-20 Tuesday 16:07  rocky

	* bashdb.el: Add GPL

2002-08-20 Tuesday 16:05  rocky

	* README: Add CVS id line

2002-08-20 Tuesday 16:05  rocky

	* README: No longer a modification but a rewrite. Note that bashdb
	now requires my patches.

2002-08-20 Tuesday 16:04  rocky

	* AUTHORS, CHANGES, COPYING, INSTALL, Makefile.am, NEWS, TODO,
	configure.in: Automake'd and autoconf'd

2002-08-20 Tuesday 15:34  rocky

	* bashdb-main.inc: Add stack trace.  Some typos corrected.

2002-08-20 Tuesday 15:31  rocky

	* bashdb-main.inc: Add GPL

2000-04-03 Monday 12:54  rocky

	* bashdb-main.inc: Typo. Cut over to version control id.

2000-04-03 Monday 03:26  rocky

	* MANIFEST, PERMISSION, README, bashdb, bashdb-main.inc, bashdb.el:
	Initial revision

2000-04-03 Monday 03:26  rocky

	* MANIFEST, PERMISSION, README, bashdb, bashdb-main.inc, bashdb.el:
	Imported sources

